package com.weaver.seconddev.interfaces.swfa.sl;


import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.util.HashMap;
import java.util.Map;








/*
 * CreateBillSrvStub java implementation
 */

public class CreateBillSrvStub extends org.apache.axis2.client.Stub {
	protected org.apache.axis2.description.AxisOperation[] _operations;

	// hashmaps to keep the fault mapping
	private HashMap faultExceptionNameMap = new HashMap();
	private HashMap faultExceptionClassNameMap = new HashMap();
	private HashMap faultMessageMap = new HashMap();

	private static int counter = 0;

	private static synchronized String getUniqueSuffix() {
		// reset the counter if it is greater than 99999
		if (counter > 99999) {
			counter = 0;
		}
		counter = counter + 1;
		return Long.toString(System.currentTimeMillis()) + "_"
				+ counter;
	}

	private void populateAxisService() throws org.apache.axis2.AxisFault {

		// creating the Service with a unique name
		_service = new org.apache.axis2.description.AxisService("CreateBillSrv"
				+ getUniqueSuffix());
		addAnonymousOperations();

		// creating the operations
		org.apache.axis2.description.AxisOperation __operation;

		_operations = new org.apache.axis2.description.AxisOperation[1];

		__operation = new org.apache.axis2.description.OutInAxisOperation();

		__operation.setName(new javax.xml.namespace.QName(
				"http://www.bee2c.com/CreateBillSrv/", "process"));
		_service.addOperation(__operation);

		_operations[0] = __operation;

	}

	// populates the faults
	private void populateFaults() {

	}

	/**
	 * Constructor that takes in a configContext
	 */

	public CreateBillSrvStub(
			org.apache.axis2.context.ConfigurationContext configurationContext,
			String targetEndpoint) throws org.apache.axis2.AxisFault {
		this(configurationContext, targetEndpoint, false);
	}

	/**
	 * Constructor that takes in a configContext and useseperate listner
	 */
	public CreateBillSrvStub(
			org.apache.axis2.context.ConfigurationContext configurationContext,
			String targetEndpoint, boolean useSeparateListener)
			throws org.apache.axis2.AxisFault {
		// To populate AxisService
		populateAxisService();
		populateFaults();

		_serviceClient = new org.apache.axis2.client.ServiceClient(
				configurationContext, _service);

		_serviceClient.getOptions().setTo(
				new org.apache.axis2.addressing.EndpointReference(
						targetEndpoint));
		_serviceClient.getOptions().setUseSeparateListener(useSeparateListener);

	}

	/**
	 * Default Constructor
	 */
	public CreateBillSrvStub(
			org.apache.axis2.context.ConfigurationContext configurationContext)
			throws org.apache.axis2.AxisFault {

		this(configurationContext,
				"http://10.204.36.33:7001/beews/services/CreateBillSrv/");

	}

	/**
	 * Default Constructor
	 */
	public CreateBillSrvStub() throws org.apache.axis2.AxisFault {

		this("http://10.204.36.33:7001/beews/services/CreateBillSrv/");

	}

	/**
	 * Constructor taking the target endpoint
	 */
	public CreateBillSrvStub(String targetEndpoint)
			throws org.apache.axis2.AxisFault {
		this(null, targetEndpoint);
	}

	/**
	 * Auto generated method signature
	 * 
	 * @see CreateBillSrv#process
	 * @param createBillRequest
	 */

	public CreateBillResponse process(

	CreateBillRequest createBillRequest)

	throws java.rmi.RemoteException

	{
		org.apache.axis2.context.MessageContext _messageContext = null;
		try {
			org.apache.axis2.client.OperationClient _operationClient = _serviceClient
					.createClient(_operations[0].getName());
			_operationClient.getOptions().setAction(
					"http://www.bee2c.com/CreateBillSrv/process");
			_operationClient.getOptions().setExceptionToBeThrownOnSOAPFault(
					true);

			addPropertyToOperationClient(
					_operationClient,
					org.apache.axis2.description.WSDL2Constants.ATTR_WHTTP_QUERY_PARAMETER_SEPARATOR,
					"&");

			// create a message context
			_messageContext = new org.apache.axis2.context.MessageContext();

			// create SOAP envelope with that payload
			org.apache.axiom.soap.SOAPEnvelope env = null;

			env = toEnvelope(getFactory(_operationClient.getOptions()
					.getSoapVersionURI()), createBillRequest,
					optimizeContent(new javax.xml.namespace.QName(
							"http://www.bee2c.com/CreateBillSrv/", "process")));

			// adding SOAP soap_headers
			_serviceClient.addHeadersToEnvelope(env);
			// set the message context with that soap envelope
			_messageContext.setEnvelope(env);

			// add the message contxt to the operation client
			_operationClient.addMessageContext(_messageContext);

			// execute the operation client
			_operationClient.execute(true);

			org.apache.axis2.context.MessageContext _returnMessageContext = _operationClient
					.getMessageContext(org.apache.axis2.wsdl.WSDLConstants.MESSAGE_LABEL_IN_VALUE);
			org.apache.axiom.soap.SOAPEnvelope _returnEnv = _returnMessageContext
					.getEnvelope();

			Object object = fromOM(_returnEnv.getBody()
					.getFirstElement(),
					CreateBillResponse.class,
					getEnvelopeNamespaces(_returnEnv));

			return (CreateBillResponse) object;

		} catch (org.apache.axis2.AxisFault f) {

			org.apache.axiom.om.OMElement faultElt = f.getDetail();
			if (faultElt != null) {
				if (faultExceptionNameMap.containsKey(faultElt.getQName())) {
					// make the fault by reflection
					try {
						String exceptionClassName = (String) faultExceptionClassNameMap
								.get(faultElt.getQName());
						Class exceptionClass = Class
								.forName(exceptionClassName);
						Exception ex = (Exception) exceptionClass
								.newInstance();
						// message class
						String messageClassName = (String) faultMessageMap
								.get(faultElt.getQName());
						Class messageClass = Class
								.forName(messageClassName);
						Object messageObject = fromOM(faultElt,
								messageClass, null);
						java.lang.reflect.Method m = exceptionClass.getMethod(
								"setFaultMessage",
								new Class[] { messageClass });
						m.invoke(ex, new Object[] { messageObject });

						throw new java.rmi.RemoteException(ex.getMessage(), ex);
					} catch (ClassCastException e) {
						// we cannot intantiate the class - throw the original
						// Axis fault
						throw f;
					} catch (ClassNotFoundException e) {
						// we cannot intantiate the class - throw the original
						// Axis fault
						throw f;
					} catch (NoSuchMethodException e) {
						// we cannot intantiate the class - throw the original
						// Axis fault
						throw f;
					} catch (java.lang.reflect.InvocationTargetException e) {
						// we cannot intantiate the class - throw the original
						// Axis fault
						throw f;
					} catch (IllegalAccessException e) {
						// we cannot intantiate the class - throw the original
						// Axis fault
						throw f;
					} catch (InstantiationException e) {
						// we cannot intantiate the class - throw the original
						// Axis fault
						throw f;
					}
				} else {
					throw f;
				}
			} else {
				throw f;
			}
		} finally {
			_messageContext.getTransportOut().getSender()
					.cleanup(_messageContext);
		}
	}

	/**
	 * A utility method that copies the namepaces from the SOAPEnvelope
	 */
	private Map getEnvelopeNamespaces(
			org.apache.axiom.soap.SOAPEnvelope env) {
		Map returnMap = new HashMap();
		java.util.Iterator namespaceIterator = env.getAllDeclaredNamespaces();
		while (namespaceIterator.hasNext()) {
			org.apache.axiom.om.OMNamespace ns = (org.apache.axiom.om.OMNamespace) namespaceIterator
					.next();
			returnMap.put(ns.getPrefix(), ns.getNamespaceURI());
		}
		return returnMap;
	}

	private javax.xml.namespace.QName[] opNameArray = null;

	private boolean optimizeContent(javax.xml.namespace.QName opName) {

		if (opNameArray == null) {
			return false;
		}
		for (int i = 0; i < opNameArray.length; i++) {
			if (opName.equals(opNameArray[i])) {
				return true;
			}
		}
		return false;
	}

	// http://10.204.36.33:7001/beews/services/CreateBillSrv/
	public static class ExtensionMapper {

		public static Object getTypeObject(
				String namespaceURI, String typeName,
				javax.xml.stream.XMLStreamReader reader)
				throws Exception {

			if ("http://www.bee2c.com/CreateBillSrv/".equals(namespaceURI)
					&& "MapString".equals(typeName)) {

				return MapString.Factory.parse(reader);

			}

			if ("http://www.bee2c.com/CreateBillSrv/".equals(namespaceURI)
					&& "ErrandBillInfo".equals(typeName)) {

				return ErrandBillInfo.Factory.parse(reader);

			}

			if ("http://www.bee2c.com/CreateBillSrv/".equals(namespaceURI)
					&& "JourneyInfo".equals(typeName)) {

				return JourneyInfo.Factory.parse(reader);

			}

			if ("http://www.bee2c.com/CreateBillSrv/".equals(namespaceURI)
					&& "CompanionInfo".equals(typeName)) {

				return CompanionInfo.Factory.parse(reader);

			}

			throw new org.apache.axis2.databinding.ADBException(
					"Unsupported type " + namespaceURI + " " + typeName);
		}

	}

	public static class MapString implements
			org.apache.axis2.databinding.ADBBean {
		/*
		 * This type was generated from the piece of schema that had name =
		 * MapString Namespace URI = http://www.bee2c.com/CreateBillSrv/
		 * Namespace Prefix = ns1
		 */

		private static String generatePrefix(
				String namespace) {
			if (namespace.equals("http://www.bee2c.com/CreateBillSrv/")) {
				return "ns1";
			}
			return org.apache.axis2.databinding.utils.BeanUtil
					.getUniquePrefix();
		}

		/**
		 * field for Key
		 */

		protected String localKey;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getKey() {
			return localKey;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            Key
		 */
		public void setKey(String param) {

			this.localKey = param;

		}

		/**
		 * field for Value
		 */

		protected String localValue;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getValue() {
			return localValue;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            Value
		 */
		public void setValue(String param) {

			this.localValue = param;

		}

		/**
		 * isReaderMTOMAware
		 * 
		 * @return true if the reader supports MTOM
		 */
		public static boolean isReaderMTOMAware(
				javax.xml.stream.XMLStreamReader reader) {
			boolean isReaderMTOMAware = false;

			try {
				isReaderMTOMAware = Boolean.TRUE
						.equals(reader
								.getProperty(org.apache.axiom.om.OMConstants.IS_DATA_HANDLERS_AWARE));
			} catch (IllegalArgumentException e) {
				isReaderMTOMAware = false;
			}
			return isReaderMTOMAware;
		}

		/**
		 * 
		 * @param parentQName
		 * @param factory
		 * @return org.apache.axiom.om.OMElement
		 */
		public org.apache.axiom.om.OMElement getOMElement(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory)
				throws org.apache.axis2.databinding.ADBException {

			org.apache.axiom.om.OMDataSource dataSource = new org.apache.axis2.databinding.ADBDataSource(
					this, parentQName) {

				public void serialize(
						org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
						throws javax.xml.stream.XMLStreamException {
					MapString.this.serialize(parentQName, factory, xmlWriter);
				}
			};
			return new org.apache.axiom.om.impl.llom.OMSourcedElementImpl(
					parentQName, factory, dataSource);

		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {
			serialize(parentQName, factory, xmlWriter, false);
		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter,
				boolean serializeType)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {

			String prefix = null;
			String namespace = null;

			prefix = parentQName.getPrefix();
			namespace = parentQName.getNamespaceURI();

			if ((namespace != null) && (namespace.trim().length() > 0)) {
				String writerPrefix = xmlWriter.getPrefix(namespace);
				if (writerPrefix != null) {
					xmlWriter.writeStartElement(namespace,
							parentQName.getLocalPart());
				} else {
					if (prefix == null) {
						prefix = generatePrefix(namespace);
					}

					xmlWriter.writeStartElement(prefix,
							parentQName.getLocalPart(), namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);
				}
			} else {
				xmlWriter.writeStartElement(parentQName.getLocalPart());
			}

			if (serializeType) {

				String namespacePrefix = registerPrefix(xmlWriter,
						"http://www.bee2c.com/CreateBillSrv/");
				if ((namespacePrefix != null)
						&& (namespacePrefix.trim().length() > 0)) {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", namespacePrefix + ":MapString", xmlWriter);
				} else {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", "MapString", xmlWriter);
				}

			}

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "key", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "key");
				}

			} else {
				xmlWriter.writeStartElement("key");
			}

			if (localKey == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"key cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localKey);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "value", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "value");
				}

			} else {
				xmlWriter.writeStartElement("value");
			}

			if (localValue == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"value cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localValue);

			}

			xmlWriter.writeEndElement();

			xmlWriter.writeEndElement();

		}

		/**
		 * Util method to write an attribute with the ns prefix
		 */
		private void writeAttribute(String prefix,
                                    String namespace, String attName,
                                    String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (xmlWriter.getPrefix(namespace) == null) {
				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);

			}

			xmlWriter.writeAttribute(namespace, attName, attValue);

		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeAttribute(String namespace,
                                    String attName, String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attValue);
			}
		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeQNameAttribute(String namespace,
                                         String attName, javax.xml.namespace.QName qname,
                                         javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			String attributeNamespace = qname.getNamespaceURI();
			String attributePrefix = xmlWriter
					.getPrefix(attributeNamespace);
			if (attributePrefix == null) {
				attributePrefix = registerPrefix(xmlWriter, attributeNamespace);
			}
			String attributeValue;
			if (attributePrefix.trim().length() > 0) {
				attributeValue = attributePrefix + ":" + qname.getLocalPart();
			} else {
				attributeValue = qname.getLocalPart();
			}

			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attributeValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attributeValue);
			}
		}

		/**
		 * method to handle Qnames
		 */

		private void writeQName(javax.xml.namespace.QName qname,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			String namespaceURI = qname.getNamespaceURI();
			if (namespaceURI != null) {
				String prefix = xmlWriter.getPrefix(namespaceURI);
				if (prefix == null) {
					prefix = generatePrefix(namespaceURI);
					xmlWriter.writeNamespace(prefix, namespaceURI);
					xmlWriter.setPrefix(prefix, namespaceURI);
				}

				if (prefix.trim().length() > 0) {
					xmlWriter.writeCharacters(prefix
							+ ":"
							+ org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				} else {
					// i.e this is the default namespace
					xmlWriter
							.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				}

			} else {
				xmlWriter
						.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(qname));
			}
		}

		private void writeQNames(javax.xml.namespace.QName[] qnames,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			if (qnames != null) {
				// we have to store this data until last moment since it is not
				// possible to write any
				// namespace data after writing the charactor data
				StringBuffer stringToWrite = new StringBuffer();
				String namespaceURI = null;
				String prefix = null;

				for (int i = 0; i < qnames.length; i++) {
					if (i > 0) {
						stringToWrite.append(" ");
					}
					namespaceURI = qnames[i].getNamespaceURI();
					if (namespaceURI != null) {
						prefix = xmlWriter.getPrefix(namespaceURI);
						if ((prefix == null) || (prefix.length() == 0)) {
							prefix = generatePrefix(namespaceURI);
							xmlWriter.writeNamespace(prefix, namespaceURI);
							xmlWriter.setPrefix(prefix, namespaceURI);
						}

						if (prefix.trim().length() > 0) {
							stringToWrite
									.append(prefix)
									.append(":")
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						} else {
							stringToWrite
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						}
					} else {
						stringToWrite
								.append(org.apache.axis2.databinding.utils.ConverterUtil
										.convertToString(qnames[i]));
					}
				}
				xmlWriter.writeCharacters(stringToWrite.toString());
			}

		}

		/**
		 * Register a namespace prefix
		 */
		private String registerPrefix(
				javax.xml.stream.XMLStreamWriter xmlWriter,
				String namespace)
				throws javax.xml.stream.XMLStreamException {
			String prefix = xmlWriter.getPrefix(namespace);

			if (prefix == null) {
				prefix = generatePrefix(namespace);

				while (xmlWriter.getNamespaceContext().getNamespaceURI(prefix) != null) {
					prefix = org.apache.axis2.databinding.utils.BeanUtil
							.getUniquePrefix();
				}

				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);
			}

			return prefix;
		}

		/**
		 * databinding method to get an XML representation of this object
		 * 
		 */
		public javax.xml.stream.XMLStreamReader getPullParser(
				javax.xml.namespace.QName qName)
				throws org.apache.axis2.databinding.ADBException {

			java.util.ArrayList elementList = new java.util.ArrayList();
			java.util.ArrayList attribList = new java.util.ArrayList();

			elementList.add(new javax.xml.namespace.QName("", "key"));

			if (localKey != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localKey));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"key cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "value"));

			if (localValue != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localValue));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"value cannot be null!!");
			}

			return new org.apache.axis2.databinding.utils.reader.ADBXMLStreamReaderImpl(
					qName, elementList.toArray(), attribList.toArray());

		}

		/**
		 * Factory class that keeps the parse method
		 */
		public static class Factory {

			/**
			 * static method to create the object Precondition: If this object
			 * is an element, the current or next start element starts this
			 * object and any intervening reader events are ignorable If this
			 * object is not an element, it is a complex type and the reader is
			 * at the event just after the outer start element Postcondition: If
			 * this object is an element, the reader is positioned at its end
			 * element If this object is a complex type, the reader is
			 * positioned at the end element of its outer element
			 */
			public static MapString parse(
					javax.xml.stream.XMLStreamReader reader)
					throws Exception {
				MapString object = new MapString();

				int event;
				String nillableValue = null;
				String prefix = "";
				String namespaceuri = "";
				try {

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader
							.getAttributeValue(
									"http://www.w3.org/2001/XMLSchema-instance",
									"type") != null) {
						String fullTypeName = reader
								.getAttributeValue(
										"http://www.w3.org/2001/XMLSchema-instance",
										"type");
						if (fullTypeName != null) {
							String nsPrefix = null;
							if (fullTypeName.indexOf(":") > -1) {
								nsPrefix = fullTypeName.substring(0,
										fullTypeName.indexOf(":"));
							}
							nsPrefix = nsPrefix == null ? "" : nsPrefix;

							String type = fullTypeName
									.substring(fullTypeName.indexOf(":") + 1);

							if (!"MapString".equals(type)) {
								// find namespace for the prefix
								String nsUri = reader
										.getNamespaceContext().getNamespaceURI(
												nsPrefix);
								return (MapString) ExtensionMapper
										.getTypeObject(nsUri, type, reader);
							}

						}

					}

					// Note all attributes that were handled. Used to differ
					// normal attributes
					// from anyAttributes.
					java.util.Vector handledAttributes = new java.util.Vector();

					reader.next();

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "key")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setKey(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "value")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setValue(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement())
						// A start element we are not expecting indicates a
						// trailing invalid property
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());

				} catch (javax.xml.stream.XMLStreamException e) {
					throw new Exception(e);
				}

				return object;
			}

		}// end of factory class

	}

	public static class ErrandBillInfo implements
			org.apache.axis2.databinding.ADBBean {
		/*
		 * This type was generated from the piece of schema that had name =
		 * ErrandBillInfo Namespace URI = http://www.bee2c.com/CreateBillSrv/
		 * Namespace Prefix = ns1
		 */

		private static String generatePrefix(
				String namespace) {
			if (namespace.equals("http://www.bee2c.com/CreateBillSrv/")) {
				return "ns1";
			}
			return org.apache.axis2.databinding.utils.BeanUtil
					.getUniquePrefix();
		}

		/**
		 * field for SourceType
		 */

		protected String localSourceType;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getSourceType() {
			return localSourceType;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            SourceType
		 */
		public void setSourceType(String param) {

			this.localSourceType = param;

		}

		/**
		 * field for SourceKey
		 */

		protected String localSourceKey;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getSourceKey() {
			return localSourceKey;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            SourceKey
		 */
		public void setSourceKey(String param) {

			this.localSourceKey = param;

		}

		/**
		 * field for ApplyEmpNum
		 */

		protected String localApplyEmpNum;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getApplyEmpNum() {
			return localApplyEmpNum;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ApplyEmpNum
		 */
		public void setApplyEmpNum(String param) {

			this.localApplyEmpNum = param;

		}

		/**
		 * field for ErrandEmpNum
		 */

		protected String localErrandEmpNum;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getErrandEmpNum() {
			return localErrandEmpNum;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ErrandEmpNum
		 */
		public void setErrandEmpNum(String param) {

			this.localErrandEmpNum = param;

		}

		/**
		 * field for ProjectCode
		 */

		protected String localProjectCode;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getProjectCode() {
			return localProjectCode;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ProjectCode
		 */
		public void setProjectCode(String param) {

			this.localProjectCode = param;

		}

		/**
		 * field for JourneyType
		 */

		protected String localJourneyType;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getJourneyType() {
			return localJourneyType;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            JourneyType
		 */
		public void setJourneyType(String param) {

			this.localJourneyType = param;

		}

		/**
		 * field for Corporation
		 */

		protected String localCorporation;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getCorporation() {
			return localCorporation;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            Corporation
		 */
		public void setCorporation(String param) {

			this.localCorporation = param;

		}

		/**
		 * field for CostCentre
		 */

		protected String localCostCentre;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getCostCentre() {
			return localCostCentre;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            CostCentre
		 */
		public void setCostCentre(String param) {

			this.localCostCentre = param;

		}

		/**
		 * field for ContactName
		 */

		protected String localContactName;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getContactName() {
			return localContactName;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ContactName
		 */
		public void setContactName(String param) {

			this.localContactName = param;

		}

		/**
		 * field for ContactPhone
		 */

		protected String localContactPhone;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getContactPhone() {
			return localContactPhone;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ContactPhone
		 */
		public void setContactPhone(String param) {

			this.localContactPhone = param;

		}

		/**
		 * field for ContactEmail
		 */

		protected String localContactEmail;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getContactEmail() {
			return localContactEmail;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ContactEmail
		 */
		public void setContactEmail(String param) {

			this.localContactEmail = param;

		}

		/**
		 * field for TrafficExpense
		 */

		protected String localTrafficExpense;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getTrafficExpense() {
			return localTrafficExpense;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            TrafficExpense
		 */
		public void setTrafficExpense(String param) {

			this.localTrafficExpense = param;

		}

		/**
		 * field for HotelExpense
		 */

		protected String localHotelExpense;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getHotelExpense() {
			return localHotelExpense;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            HotelExpense
		 */
		public void setHotelExpense(String param) {

			this.localHotelExpense = param;

		}

		/**
		 * field for OtherExpense
		 */

		protected String localOtherExpense;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getOtherExpense() {
			return localOtherExpense;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            OtherExpense
		 */
		public void setOtherExpense(String param) {

			this.localOtherExpense = param;

		}

		/**
		 * field for Reason
		 */

		protected String localReason;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getReason() {
			return localReason;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            Reason
		 */
		public void setReason(String param) {

			this.localReason = param;

		}

		/**
		 * field for CompanionInfos This was an Array!
		 */

		protected CompanionInfo[] localCompanionInfos;

		/**
		 * Auto generated getter method
		 * 
		 * @return CompanionInfo[]
		 */
		public CompanionInfo[] getCompanionInfos() {
			return localCompanionInfos;
		}

		/**
		 * validate the array for CompanionInfos
		 */
		protected void validateCompanionInfos(CompanionInfo[] param) {

			if ((param != null) && (param.length < 1)) {
				throw new RuntimeException();
			}

		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            CompanionInfos
		 */
		public void setCompanionInfos(CompanionInfo[] param) {

			validateCompanionInfos(param);

			this.localCompanionInfos = param;
		}

		/**
		 * Auto generated add method for the array for convenience
		 * 
		 * @param param
		 *            CompanionInfo
		 */
		public void addCompanionInfos(CompanionInfo param) {
			if (localCompanionInfos == null) {
				localCompanionInfos = new CompanionInfo[] {};
			}

			java.util.List list = org.apache.axis2.databinding.utils.ConverterUtil
					.toList(localCompanionInfos);
			list.add(param);
			this.localCompanionInfos = (CompanionInfo[]) list
					.toArray(new CompanionInfo[list.size()]);

		}

		/**
		 * field for JourneyInfos This was an Array!
		 */

		protected JourneyInfo[] localJourneyInfos;

		/**
		 * Auto generated getter method
		 * 
		 * @return JourneyInfo[]
		 */
		public JourneyInfo[] getJourneyInfos() {
			return localJourneyInfos;
		}

		/**
		 * validate the array for JourneyInfos
		 */
		protected void validateJourneyInfos(JourneyInfo[] param) {

			if ((param != null) && (param.length < 1)) {
				throw new RuntimeException();
			}

		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            JourneyInfos
		 */
		public void setJourneyInfos(JourneyInfo[] param) {

			validateJourneyInfos(param);

			this.localJourneyInfos = param;
		}

		/**
		 * Auto generated add method for the array for convenience
		 * 
		 * @param param
		 *            JourneyInfo
		 */
		public void addJourneyInfos(JourneyInfo param) {
			if (localJourneyInfos == null) {
				localJourneyInfos = new JourneyInfo[] {};
			}

			java.util.List list = org.apache.axis2.databinding.utils.ConverterUtil
					.toList(localJourneyInfos);
			list.add(param);
			this.localJourneyInfos = (JourneyInfo[]) list
					.toArray(new JourneyInfo[list.size()]);

		}

		/**
		 * field for ExtInfo This was an Array!
		 */

		protected MapString[] localExtInfo;

		/*
		 * This tracker boolean wil be used to detect whether the user called
		 * the set method for this attribute. It will be used to determine
		 * whether to include this field in the serialized XML
		 */
		protected boolean localExtInfoTracker = false;

		/**
		 * Auto generated getter method
		 * 
		 * @return MapString[]
		 */
		public MapString[] getExtInfo() {
			return localExtInfo;
		}

		/**
		 * validate the array for ExtInfo
		 */
		protected void validateExtInfo(MapString[] param) {

		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ExtInfo
		 */
		public void setExtInfo(MapString[] param) {

			validateExtInfo(param);

			if (param != null) {
				// update the setting tracker
				localExtInfoTracker = true;
			} else {
				localExtInfoTracker = true;

			}

			this.localExtInfo = param;
		}

		/**
		 * Auto generated add method for the array for convenience
		 * 
		 * @param param
		 *            MapString
		 */
		public void addExtInfo(MapString param) {
			if (localExtInfo == null) {
				localExtInfo = new MapString[] {};
			}

			// update the setting tracker
			localExtInfoTracker = true;

			java.util.List list = org.apache.axis2.databinding.utils.ConverterUtil
					.toList(localExtInfo);
			list.add(param);
			this.localExtInfo = (MapString[]) list.toArray(new MapString[list
					.size()]);

		}

		/**
		 * isReaderMTOMAware
		 * 
		 * @return true if the reader supports MTOM
		 */
		public static boolean isReaderMTOMAware(
				javax.xml.stream.XMLStreamReader reader) {
			boolean isReaderMTOMAware = false;

			try {
				isReaderMTOMAware = Boolean.TRUE
						.equals(reader
								.getProperty(org.apache.axiom.om.OMConstants.IS_DATA_HANDLERS_AWARE));
			} catch (IllegalArgumentException e) {
				isReaderMTOMAware = false;
			}
			return isReaderMTOMAware;
		}

		/**
		 * 
		 * @param parentQName
		 * @param factory
		 * @return org.apache.axiom.om.OMElement
		 */
		public org.apache.axiom.om.OMElement getOMElement(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory)
				throws org.apache.axis2.databinding.ADBException {

			org.apache.axiom.om.OMDataSource dataSource = new org.apache.axis2.databinding.ADBDataSource(
					this, parentQName) {

				public void serialize(
						org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
						throws javax.xml.stream.XMLStreamException {
					ErrandBillInfo.this.serialize(parentQName, factory,
							xmlWriter);
				}
			};
			return new org.apache.axiom.om.impl.llom.OMSourcedElementImpl(
					parentQName, factory, dataSource);

		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {
			serialize(parentQName, factory, xmlWriter, false);
		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter,
				boolean serializeType)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {

			String prefix = null;
			String namespace = null;

			prefix = parentQName.getPrefix();
			namespace = parentQName.getNamespaceURI();

			if ((namespace != null) && (namespace.trim().length() > 0)) {
				String writerPrefix = xmlWriter.getPrefix(namespace);
				if (writerPrefix != null) {
					xmlWriter.writeStartElement(namespace,
							parentQName.getLocalPart());
				} else {
					if (prefix == null) {
						prefix = generatePrefix(namespace);
					}

					xmlWriter.writeStartElement(prefix,
							parentQName.getLocalPart(), namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);
				}
			} else {
				xmlWriter.writeStartElement(parentQName.getLocalPart());
			}

			if (serializeType) {

				String namespacePrefix = registerPrefix(xmlWriter,
						"http://www.bee2c.com/CreateBillSrv/");
				if ((namespacePrefix != null)
						&& (namespacePrefix.trim().length() > 0)) {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", namespacePrefix + ":ErrandBillInfo",
							xmlWriter);
				} else {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", "ErrandBillInfo", xmlWriter);
				}

			}

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter
							.writeStartElement(prefix, "sourceType", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "sourceType");
				}

			} else {
				xmlWriter.writeStartElement("sourceType");
			}

			if (localSourceType == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"sourceType cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localSourceType);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "sourceKey", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "sourceKey");
				}

			} else {
				xmlWriter.writeStartElement("sourceKey");
			}

			if (localSourceKey == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"sourceKey cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localSourceKey);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "applyEmpNum",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "applyEmpNum");
				}

			} else {
				xmlWriter.writeStartElement("applyEmpNum");
			}

			if (localApplyEmpNum == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"applyEmpNum cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localApplyEmpNum);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "errandEmpNum",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "errandEmpNum");
				}

			} else {
				xmlWriter.writeStartElement("errandEmpNum");
			}

			if (localErrandEmpNum == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"errandEmpNum cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localErrandEmpNum);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "projectCode",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "projectCode");
				}

			} else {
				xmlWriter.writeStartElement("projectCode");
			}

			if (localProjectCode == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"projectCode cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localProjectCode);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "journeyType",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "journeyType");
				}

			} else {
				xmlWriter.writeStartElement("journeyType");
			}

			if (localJourneyType == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"journeyType cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localJourneyType);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "corporation",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "corporation");
				}

			} else {
				xmlWriter.writeStartElement("corporation");
			}

			if (localCorporation == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localCorporation);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter
							.writeStartElement(prefix, "costCentre", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "costCentre");
				}

			} else {
				xmlWriter.writeStartElement("costCentre");
			}

			if (localCostCentre == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localCostCentre);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "contactName",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "contactName");
				}

			} else {
				xmlWriter.writeStartElement("contactName");
			}

			if (localContactName == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localContactName);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "contactPhone",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "contactPhone");
				}

			} else {
				xmlWriter.writeStartElement("contactPhone");
			}

			if (localContactPhone == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localContactPhone);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "contactEmail",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "contactEmail");
				}

			} else {
				xmlWriter.writeStartElement("contactEmail");
			}

			if (localContactEmail == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localContactEmail);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "trafficExpense",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "trafficExpense");
				}

			} else {
				xmlWriter.writeStartElement("trafficExpense");
			}

			if (localTrafficExpense == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localTrafficExpense);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "hotelExpense",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "hotelExpense");
				}

			} else {
				xmlWriter.writeStartElement("hotelExpense");
			}

			if (localHotelExpense == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localHotelExpense);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "otherExpense",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "otherExpense");
				}

			} else {
				xmlWriter.writeStartElement("otherExpense");
			}

			if (localOtherExpense == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localOtherExpense);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "reason", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "reason");
				}

			} else {
				xmlWriter.writeStartElement("reason");
			}

			if (localReason == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"reason cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localReason);

			}

			xmlWriter.writeEndElement();

			if (localCompanionInfos != null) {
				for (int i = 0; i < localCompanionInfos.length; i++) {
					if (localCompanionInfos[i] != null) {
						localCompanionInfos[i].serialize(
								new javax.xml.namespace.QName("",
										"companionInfos"), factory, xmlWriter);
					} else {

						throw new org.apache.axis2.databinding.ADBException(
								"companionInfos cannot be null!!");

					}

				}
			} else {

				throw new org.apache.axis2.databinding.ADBException(
						"companionInfos cannot be null!!");

			}

			if (localJourneyInfos != null) {
				for (int i = 0; i < localJourneyInfos.length; i++) {
					if (localJourneyInfos[i] != null) {
						localJourneyInfos[i].serialize(
								new javax.xml.namespace.QName("",
										"journeyInfos"), factory, xmlWriter);
					} else {

						throw new org.apache.axis2.databinding.ADBException(
								"journeyInfos cannot be null!!");

					}

				}
			} else {

				throw new org.apache.axis2.databinding.ADBException(
						"journeyInfos cannot be null!!");

			}
			if (localExtInfoTracker) {
				if (localExtInfo != null) {
					for (int i = 0; i < localExtInfo.length; i++) {
						if (localExtInfo[i] != null) {
							localExtInfo[i]
									.serialize(new javax.xml.namespace.QName(
											"", "extInfo"), factory, xmlWriter);
						} else {

							// write null attribute
							String namespace2 = "";
							if (!namespace2.equals("")) {
								String prefix2 = xmlWriter
										.getPrefix(namespace2);

								if (prefix2 == null) {
									prefix2 = generatePrefix(namespace2);

									xmlWriter.writeStartElement(prefix2,
											"extInfo", namespace2);
									xmlWriter.writeNamespace(prefix2,
											namespace2);
									xmlWriter.setPrefix(prefix2, namespace2);

								} else {
									xmlWriter.writeStartElement(namespace2,
											"extInfo");
								}

							} else {
								xmlWriter.writeStartElement("extInfo");
							}

							// write the nil attribute
							writeAttribute(
									"xsi",
									"http://www.w3.org/2001/XMLSchema-instance",
									"nil", "1", xmlWriter);
							xmlWriter.writeEndElement();

						}

					}
				} else {

					// write null attribute
					String namespace2 = "";
					if (!namespace2.equals("")) {
						String prefix2 = xmlWriter
								.getPrefix(namespace2);

						if (prefix2 == null) {
							prefix2 = generatePrefix(namespace2);

							xmlWriter.writeStartElement(prefix2, "extInfo",
									namespace2);
							xmlWriter.writeNamespace(prefix2, namespace2);
							xmlWriter.setPrefix(prefix2, namespace2);

						} else {
							xmlWriter.writeStartElement(namespace2, "extInfo");
						}

					} else {
						xmlWriter.writeStartElement("extInfo");
					}

					// write the nil attribute
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance", "nil",
							"1", xmlWriter);
					xmlWriter.writeEndElement();

				}
			}
			xmlWriter.writeEndElement();

		}

		/**
		 * Util method to write an attribute with the ns prefix
		 */
		private void writeAttribute(String prefix,
                                    String namespace, String attName,
                                    String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (xmlWriter.getPrefix(namespace) == null) {
				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);

			}

			xmlWriter.writeAttribute(namespace, attName, attValue);

		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeAttribute(String namespace,
                                    String attName, String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attValue);
			}
		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeQNameAttribute(String namespace,
                                         String attName, javax.xml.namespace.QName qname,
                                         javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			String attributeNamespace = qname.getNamespaceURI();
			String attributePrefix = xmlWriter
					.getPrefix(attributeNamespace);
			if (attributePrefix == null) {
				attributePrefix = registerPrefix(xmlWriter, attributeNamespace);
			}
			String attributeValue;
			if (attributePrefix.trim().length() > 0) {
				attributeValue = attributePrefix + ":" + qname.getLocalPart();
			} else {
				attributeValue = qname.getLocalPart();
			}

			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attributeValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attributeValue);
			}
		}

		/**
		 * method to handle Qnames
		 */

		private void writeQName(javax.xml.namespace.QName qname,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			String namespaceURI = qname.getNamespaceURI();
			if (namespaceURI != null) {
				String prefix = xmlWriter.getPrefix(namespaceURI);
				if (prefix == null) {
					prefix = generatePrefix(namespaceURI);
					xmlWriter.writeNamespace(prefix, namespaceURI);
					xmlWriter.setPrefix(prefix, namespaceURI);
				}

				if (prefix.trim().length() > 0) {
					xmlWriter.writeCharacters(prefix
							+ ":"
							+ org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				} else {
					// i.e this is the default namespace
					xmlWriter
							.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				}

			} else {
				xmlWriter
						.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(qname));
			}
		}

		private void writeQNames(javax.xml.namespace.QName[] qnames,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			if (qnames != null) {
				// we have to store this data until last moment since it is not
				// possible to write any
				// namespace data after writing the charactor data
				StringBuffer stringToWrite = new StringBuffer();
				String namespaceURI = null;
				String prefix = null;

				for (int i = 0; i < qnames.length; i++) {
					if (i > 0) {
						stringToWrite.append(" ");
					}
					namespaceURI = qnames[i].getNamespaceURI();
					if (namespaceURI != null) {
						prefix = xmlWriter.getPrefix(namespaceURI);
						if ((prefix == null) || (prefix.length() == 0)) {
							prefix = generatePrefix(namespaceURI);
							xmlWriter.writeNamespace(prefix, namespaceURI);
							xmlWriter.setPrefix(prefix, namespaceURI);
						}

						if (prefix.trim().length() > 0) {
							stringToWrite
									.append(prefix)
									.append(":")
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						} else {
							stringToWrite
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						}
					} else {
						stringToWrite
								.append(org.apache.axis2.databinding.utils.ConverterUtil
										.convertToString(qnames[i]));
					}
				}
				xmlWriter.writeCharacters(stringToWrite.toString());
			}

		}

		/**
		 * Register a namespace prefix
		 */
		private String registerPrefix(
				javax.xml.stream.XMLStreamWriter xmlWriter,
				String namespace)
				throws javax.xml.stream.XMLStreamException {
			String prefix = xmlWriter.getPrefix(namespace);

			if (prefix == null) {
				prefix = generatePrefix(namespace);

				while (xmlWriter.getNamespaceContext().getNamespaceURI(prefix) != null) {
					prefix = org.apache.axis2.databinding.utils.BeanUtil
							.getUniquePrefix();
				}

				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);
			}

			return prefix;
		}

		/**
		 * databinding method to get an XML representation of this object
		 * 
		 */
		public javax.xml.stream.XMLStreamReader getPullParser(
				javax.xml.namespace.QName qName)
				throws org.apache.axis2.databinding.ADBException {

			java.util.ArrayList elementList = new java.util.ArrayList();
			java.util.ArrayList attribList = new java.util.ArrayList();

			elementList.add(new javax.xml.namespace.QName("", "sourceType"));

			if (localSourceType != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localSourceType));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"sourceType cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "sourceKey"));

			if (localSourceKey != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localSourceKey));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"sourceKey cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "applyEmpNum"));

			if (localApplyEmpNum != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localApplyEmpNum));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"applyEmpNum cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "errandEmpNum"));

			if (localErrandEmpNum != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localErrandEmpNum));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"errandEmpNum cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "projectCode"));

			if (localProjectCode != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localProjectCode));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"projectCode cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "journeyType"));

			if (localJourneyType != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localJourneyType));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"journeyType cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "corporation"));

			elementList.add(localCorporation == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localCorporation));

			elementList.add(new javax.xml.namespace.QName("", "costCentre"));

			elementList.add(localCostCentre == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localCostCentre));

			elementList.add(new javax.xml.namespace.QName("", "contactName"));

			elementList.add(localContactName == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localContactName));

			elementList.add(new javax.xml.namespace.QName("", "contactPhone"));

			elementList.add(localContactPhone == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localContactPhone));

			elementList.add(new javax.xml.namespace.QName("", "contactEmail"));

			elementList.add(localContactEmail == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localContactEmail));

			elementList
					.add(new javax.xml.namespace.QName("", "trafficExpense"));

			elementList.add(localTrafficExpense == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localTrafficExpense));

			elementList.add(new javax.xml.namespace.QName("", "hotelExpense"));

			elementList.add(localHotelExpense == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localHotelExpense));

			elementList.add(new javax.xml.namespace.QName("", "otherExpense"));

			elementList.add(localOtherExpense == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localOtherExpense));

			elementList.add(new javax.xml.namespace.QName("", "reason"));

			if (localReason != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localReason));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"reason cannot be null!!");
			}

			if (localCompanionInfos != null) {
				for (int i = 0; i < localCompanionInfos.length; i++) {

					if (localCompanionInfos[i] != null) {
						elementList.add(new javax.xml.namespace.QName("",
								"companionInfos"));
						elementList.add(localCompanionInfos[i]);
					} else {

						throw new org.apache.axis2.databinding.ADBException(
								"companionInfos cannot be null !!");

					}

				}
			} else {

				throw new org.apache.axis2.databinding.ADBException(
						"companionInfos cannot be null!!");

			}

			if (localJourneyInfos != null) {
				for (int i = 0; i < localJourneyInfos.length; i++) {

					if (localJourneyInfos[i] != null) {
						elementList.add(new javax.xml.namespace.QName("",
								"journeyInfos"));
						elementList.add(localJourneyInfos[i]);
					} else {

						throw new org.apache.axis2.databinding.ADBException(
								"journeyInfos cannot be null !!");

					}

				}
			} else {

				throw new org.apache.axis2.databinding.ADBException(
						"journeyInfos cannot be null!!");

			}

			if (localExtInfoTracker) {
				if (localExtInfo != null) {
					for (int i = 0; i < localExtInfo.length; i++) {

						if (localExtInfo[i] != null) {
							elementList.add(new javax.xml.namespace.QName("",
									"extInfo"));
							elementList.add(localExtInfo[i]);
						} else {

							elementList.add(new javax.xml.namespace.QName("",
									"extInfo"));
							elementList.add(null);

						}

					}
				} else {

					elementList
							.add(new javax.xml.namespace.QName("", "extInfo"));
					elementList.add(localExtInfo);

				}

			}

			return new org.apache.axis2.databinding.utils.reader.ADBXMLStreamReaderImpl(
					qName, elementList.toArray(), attribList.toArray());

		}

		/**
		 * Factory class that keeps the parse method
		 */
		public static class Factory {

			/**
			 * static method to create the object Precondition: If this object
			 * is an element, the current or next start element starts this
			 * object and any intervening reader events are ignorable If this
			 * object is not an element, it is a complex type and the reader is
			 * at the event just after the outer start element Postcondition: If
			 * this object is an element, the reader is positioned at its end
			 * element If this object is a complex type, the reader is
			 * positioned at the end element of its outer element
			 */
			public static ErrandBillInfo parse(
					javax.xml.stream.XMLStreamReader reader)
					throws Exception {
				ErrandBillInfo object = new ErrandBillInfo();

				int event;
				String nillableValue = null;
				String prefix = "";
				String namespaceuri = "";
				try {

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader
							.getAttributeValue(
									"http://www.w3.org/2001/XMLSchema-instance",
									"type") != null) {
						String fullTypeName = reader
								.getAttributeValue(
										"http://www.w3.org/2001/XMLSchema-instance",
										"type");
						if (fullTypeName != null) {
							String nsPrefix = null;
							if (fullTypeName.indexOf(":") > -1) {
								nsPrefix = fullTypeName.substring(0,
										fullTypeName.indexOf(":"));
							}
							nsPrefix = nsPrefix == null ? "" : nsPrefix;

							String type = fullTypeName
									.substring(fullTypeName.indexOf(":") + 1);

							if (!"ErrandBillInfo".equals(type)) {
								// find namespace for the prefix
								String nsUri = reader
										.getNamespaceContext().getNamespaceURI(
												nsPrefix);
								return (ErrandBillInfo) ExtensionMapper
										.getTypeObject(nsUri, type, reader);
							}

						}

					}

					// Note all attributes that were handled. Used to differ
					// normal attributes
					// from anyAttributes.
					java.util.Vector handledAttributes = new java.util.Vector();

					reader.next();

					java.util.ArrayList list16 = new java.util.ArrayList();

					java.util.ArrayList list17 = new java.util.ArrayList();

					java.util.ArrayList list18 = new java.util.ArrayList();

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "sourceType")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setSourceType(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "sourceKey")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setSourceKey(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "applyEmpNum")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setApplyEmpNum(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "errandEmpNum")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setErrandEmpNum(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "projectCode")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setProjectCode(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "journeyType")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setJourneyType(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "corporation")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setCorporation(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "costCentre")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setCostCentre(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "contactName")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setContactName(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "contactPhone")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setContactPhone(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "contactEmail")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setContactEmail(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("",
									"trafficExpense").equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setTrafficExpense(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "hotelExpense")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setHotelExpense(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "otherExpense")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setOtherExpense(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "reason")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setReason(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("",
									"companionInfos").equals(reader.getName())) {

						// Process the array and step past its final element's
						// end.
						list16.add(CompanionInfo.Factory.parse(reader));

						// loop until we find a start element that is not part
						// of this array
						boolean loopDone16 = false;
						while (!loopDone16) {
							// We should be at the end element, but make sure
							while (!reader.isEndElement())
								reader.next();
							// Step out of this element
							reader.next();
							// Step to next element event.
							while (!reader.isStartElement()
									&& !reader.isEndElement())
								reader.next();
							if (reader.isEndElement()) {
								// two continuous end elements means we are
								// exiting the xml structure
								loopDone16 = true;
							} else {
								if (new javax.xml.namespace.QName("",
										"companionInfos").equals(reader
										.getName())) {
									list16.add(CompanionInfo.Factory
											.parse(reader));

								} else {
									loopDone16 = true;
								}
							}
						}
						// call the converter utility to convert and set the
						// array

						object.setCompanionInfos((CompanionInfo[]) org.apache.axis2.databinding.utils.ConverterUtil
								.convertToArray(CompanionInfo.class, list16));

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "journeyInfos")
									.equals(reader.getName())) {

						// Process the array and step past its final element's
						// end.
						list17.add(JourneyInfo.Factory.parse(reader));

						// loop until we find a start element that is not part
						// of this array
						boolean loopDone17 = false;
						while (!loopDone17) {
							// We should be at the end element, but make sure
							while (!reader.isEndElement())
								reader.next();
							// Step out of this element
							reader.next();
							// Step to next element event.
							while (!reader.isStartElement()
									&& !reader.isEndElement())
								reader.next();
							if (reader.isEndElement()) {
								// two continuous end elements means we are
								// exiting the xml structure
								loopDone17 = true;
							} else {
								if (new javax.xml.namespace.QName("",
										"journeyInfos")
										.equals(reader.getName())) {
									list17.add(JourneyInfo.Factory
											.parse(reader));

								} else {
									loopDone17 = true;
								}
							}
						}
						// call the converter utility to convert and set the
						// array

						object.setJourneyInfos((JourneyInfo[]) org.apache.axis2.databinding.utils.ConverterUtil
								.convertToArray(JourneyInfo.class, list17));

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "extInfo")
									.equals(reader.getName())) {

						// Process the array and step past its final element's
						// end.

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if ("true".equals(nillableValue)
								|| "1".equals(nillableValue)) {
							list18.add(null);
							reader.next();
						} else {
							list18.add(MapString.Factory.parse(reader));
						}
						// loop until we find a start element that is not part
						// of this array
						boolean loopDone18 = false;
						while (!loopDone18) {
							// We should be at the end element, but make sure
							while (!reader.isEndElement())
								reader.next();
							// Step out of this element
							reader.next();
							// Step to next element event.
							while (!reader.isStartElement()
									&& !reader.isEndElement())
								reader.next();
							if (reader.isEndElement()) {
								// two continuous end elements means we are
								// exiting the xml structure
								loopDone18 = true;
							} else {
								if (new javax.xml.namespace.QName("", "extInfo")
										.equals(reader.getName())) {

									nillableValue = reader
											.getAttributeValue(
													"http://www.w3.org/2001/XMLSchema-instance",
													"nil");
									if ("true".equals(nillableValue)
											|| "1".equals(nillableValue)) {
										list18.add(null);
										reader.next();
									} else {
										list18.add(MapString.Factory
												.parse(reader));
									}
								} else {
									loopDone18 = true;
								}
							}
						}
						// call the converter utility to convert and set the
						// array

						object.setExtInfo((MapString[]) org.apache.axis2.databinding.utils.ConverterUtil
								.convertToArray(MapString.class, list18));

					} // End of if for expected property start element

					else {

					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement())
						// A start element we are not expecting indicates a
						// trailing invalid property
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());

				} catch (javax.xml.stream.XMLStreamException e) {
					throw new Exception(e);
				}

				return object;
			}

		}// end of factory class

	}

	public static class JourneyInfo implements
			org.apache.axis2.databinding.ADBBean {
		/*
		 * This type was generated from the piece of schema that had name =
		 * JourneyInfo Namespace URI = http://www.bee2c.com/CreateBillSrv/
		 * Namespace Prefix = ns1
		 */

		private static String generatePrefix(
				String namespace) {
			if (namespace.equals("http://www.bee2c.com/CreateBillSrv/")) {
				return "ns1";
			}
			return org.apache.axis2.databinding.utils.BeanUtil
					.getUniquePrefix();
		}

		/**
		 * field for SeqNo
		 */

		protected String localSeqNo;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getSeqNo() {
			return localSeqNo;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            SeqNo
		 */
		public void setSeqNo(String param) {

			this.localSeqNo = param;

		}

		/**
		 * field for FromCity
		 */

		protected String localFromCity;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getFromCity() {
			return localFromCity;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            FromCity
		 */
		public void setFromCity(String param) {

			this.localFromCity = param;

		}

		/**
		 * field for ToCity
		 */

		protected String localToCity;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getToCity() {
			return localToCity;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ToCity
		 */
		public void setToCity(String param) {

			this.localToCity = param;

		}

		/**
		 * field for JourneyType
		 */

		protected String localJourneyType;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getJourneyType() {
			return localJourneyType;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            JourneyType
		 */
		public void setJourneyType(String param) {

			this.localJourneyType = param;

		}

		/**
		 * field for AreaType
		 */

		protected String localAreaType;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getAreaType() {
			return localAreaType;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            AreaType
		 */
		public void setAreaType(String param) {

			this.localAreaType = param;

		}

		/**
		 * field for TrafficTool
		 */

		protected String localTrafficTool;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getTrafficTool() {
			return localTrafficTool;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            TrafficTool
		 */
		public void setTrafficTool(String param) {

			this.localTrafficTool = param;

		}

		/**
		 * field for StartDate
		 */

		protected String localStartDate;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getStartDate() {
			return localStartDate;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            StartDate
		 */
		public void setStartDate(String param) {

			this.localStartDate = param;

		}

		/**
		 * field for EndDate
		 */

		protected String localEndDate;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getEndDate() {
			return localEndDate;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            EndDate
		 */
		public void setEndDate(String param) {

			this.localEndDate = param;

		}

		/**
		 * field for ExtInfo This was an Array!
		 */

		protected MapString[] localExtInfo;

		/*
		 * This tracker boolean wil be used to detect whether the user called
		 * the set method for this attribute. It will be used to determine
		 * whether to include this field in the serialized XML
		 */
		protected boolean localExtInfoTracker = false;

		/**
		 * Auto generated getter method
		 * 
		 * @return MapString[]
		 */
		public MapString[] getExtInfo() {
			return localExtInfo;
		}

		/**
		 * validate the array for ExtInfo
		 */
		protected void validateExtInfo(MapString[] param) {

		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ExtInfo
		 */
		public void setExtInfo(MapString[] param) {

			validateExtInfo(param);

			if (param != null) {
				// update the setting tracker
				localExtInfoTracker = true;
			} else {
				localExtInfoTracker = true;

			}

			this.localExtInfo = param;
		}

		/**
		 * Auto generated add method for the array for convenience
		 * 
		 * @param param
		 *            MapString
		 */
		public void addExtInfo(MapString param) {
			if (localExtInfo == null) {
				localExtInfo = new MapString[] {};
			}

			// update the setting tracker
			localExtInfoTracker = true;

			java.util.List list = org.apache.axis2.databinding.utils.ConverterUtil
					.toList(localExtInfo);
			list.add(param);
			this.localExtInfo = (MapString[]) list.toArray(new MapString[list
					.size()]);

		}

		/**
		 * isReaderMTOMAware
		 * 
		 * @return true if the reader supports MTOM
		 */
		public static boolean isReaderMTOMAware(
				javax.xml.stream.XMLStreamReader reader) {
			boolean isReaderMTOMAware = false;

			try {
				isReaderMTOMAware = Boolean.TRUE
						.equals(reader
								.getProperty(org.apache.axiom.om.OMConstants.IS_DATA_HANDLERS_AWARE));
			} catch (IllegalArgumentException e) {
				isReaderMTOMAware = false;
			}
			return isReaderMTOMAware;
		}

		/**
		 * 
		 * @param parentQName
		 * @param factory
		 * @return org.apache.axiom.om.OMElement
		 */
		public org.apache.axiom.om.OMElement getOMElement(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory)
				throws org.apache.axis2.databinding.ADBException {

			org.apache.axiom.om.OMDataSource dataSource = new org.apache.axis2.databinding.ADBDataSource(
					this, parentQName) {

				public void serialize(
						org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
						throws javax.xml.stream.XMLStreamException {
					JourneyInfo.this.serialize(parentQName, factory, xmlWriter);
				}
			};
			return new org.apache.axiom.om.impl.llom.OMSourcedElementImpl(
					parentQName, factory, dataSource);

		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {
			serialize(parentQName, factory, xmlWriter, false);
		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter,
				boolean serializeType)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {

			String prefix = null;
			String namespace = null;

			prefix = parentQName.getPrefix();
			namespace = parentQName.getNamespaceURI();

			if ((namespace != null) && (namespace.trim().length() > 0)) {
				String writerPrefix = xmlWriter.getPrefix(namespace);
				if (writerPrefix != null) {
					xmlWriter.writeStartElement(namespace,
							parentQName.getLocalPart());
				} else {
					if (prefix == null) {
						prefix = generatePrefix(namespace);
					}

					xmlWriter.writeStartElement(prefix,
							parentQName.getLocalPart(), namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);
				}
			} else {
				xmlWriter.writeStartElement(parentQName.getLocalPart());
			}

			if (serializeType) {

				String namespacePrefix = registerPrefix(xmlWriter,
						"http://www.bee2c.com/CreateBillSrv/");
				if ((namespacePrefix != null)
						&& (namespacePrefix.trim().length() > 0)) {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", namespacePrefix + ":JourneyInfo", xmlWriter);
				} else {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", "JourneyInfo", xmlWriter);
				}

			}

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "seqNo", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "seqNo");
				}

			} else {
				xmlWriter.writeStartElement("seqNo");
			}

			if (localSeqNo == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"seqNo cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localSeqNo);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "fromCity", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "fromCity");
				}

			} else {
				xmlWriter.writeStartElement("fromCity");
			}

			if (localFromCity == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"fromCity cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localFromCity);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "toCity", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "toCity");
				}

			} else {
				xmlWriter.writeStartElement("toCity");
			}

			if (localToCity == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"toCity cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localToCity);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "journeyType",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "journeyType");
				}

			} else {
				xmlWriter.writeStartElement("journeyType");
			}

			if (localJourneyType == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"journeyType cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localJourneyType);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "areaType", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "areaType");
				}

			} else {
				xmlWriter.writeStartElement("areaType");
			}

			if (localAreaType == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localAreaType);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "trafficTool",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "trafficTool");
				}

			} else {
				xmlWriter.writeStartElement("trafficTool");
			}

			if (localTrafficTool == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localTrafficTool);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "startDate", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "startDate");
				}

			} else {
				xmlWriter.writeStartElement("startDate");
			}

			if (localStartDate == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"startDate cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localStartDate);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "endDate", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "endDate");
				}

			} else {
				xmlWriter.writeStartElement("endDate");
			}

			if (localEndDate == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"endDate cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localEndDate);

			}

			xmlWriter.writeEndElement();
			if (localExtInfoTracker) {
				if (localExtInfo != null) {
					for (int i = 0; i < localExtInfo.length; i++) {
						if (localExtInfo[i] != null) {
							localExtInfo[i]
									.serialize(new javax.xml.namespace.QName(
											"", "extInfo"), factory, xmlWriter);
						} else {

							// write null attribute
							String namespace2 = "";
							if (!namespace2.equals("")) {
								String prefix2 = xmlWriter
										.getPrefix(namespace2);

								if (prefix2 == null) {
									prefix2 = generatePrefix(namespace2);

									xmlWriter.writeStartElement(prefix2,
											"extInfo", namespace2);
									xmlWriter.writeNamespace(prefix2,
											namespace2);
									xmlWriter.setPrefix(prefix2, namespace2);

								} else {
									xmlWriter.writeStartElement(namespace2,
											"extInfo");
								}

							} else {
								xmlWriter.writeStartElement("extInfo");
							}

							// write the nil attribute
							writeAttribute(
									"xsi",
									"http://www.w3.org/2001/XMLSchema-instance",
									"nil", "1", xmlWriter);
							xmlWriter.writeEndElement();

						}

					}
				} else {

					// write null attribute
					String namespace2 = "";
					if (!namespace2.equals("")) {
						String prefix2 = xmlWriter
								.getPrefix(namespace2);

						if (prefix2 == null) {
							prefix2 = generatePrefix(namespace2);

							xmlWriter.writeStartElement(prefix2, "extInfo",
									namespace2);
							xmlWriter.writeNamespace(prefix2, namespace2);
							xmlWriter.setPrefix(prefix2, namespace2);

						} else {
							xmlWriter.writeStartElement(namespace2, "extInfo");
						}

					} else {
						xmlWriter.writeStartElement("extInfo");
					}

					// write the nil attribute
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance", "nil",
							"1", xmlWriter);
					xmlWriter.writeEndElement();

				}
			}
			xmlWriter.writeEndElement();

		}

		/**
		 * Util method to write an attribute with the ns prefix
		 */
		private void writeAttribute(String prefix,
                                    String namespace, String attName,
                                    String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (xmlWriter.getPrefix(namespace) == null) {
				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);

			}

			xmlWriter.writeAttribute(namespace, attName, attValue);

		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeAttribute(String namespace,
                                    String attName, String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attValue);
			}
		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeQNameAttribute(String namespace,
                                         String attName, javax.xml.namespace.QName qname,
                                         javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			String attributeNamespace = qname.getNamespaceURI();
			String attributePrefix = xmlWriter
					.getPrefix(attributeNamespace);
			if (attributePrefix == null) {
				attributePrefix = registerPrefix(xmlWriter, attributeNamespace);
			}
			String attributeValue;
			if (attributePrefix.trim().length() > 0) {
				attributeValue = attributePrefix + ":" + qname.getLocalPart();
			} else {
				attributeValue = qname.getLocalPart();
			}

			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attributeValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attributeValue);
			}
		}

		/**
		 * method to handle Qnames
		 */

		private void writeQName(javax.xml.namespace.QName qname,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			String namespaceURI = qname.getNamespaceURI();
			if (namespaceURI != null) {
				String prefix = xmlWriter.getPrefix(namespaceURI);
				if (prefix == null) {
					prefix = generatePrefix(namespaceURI);
					xmlWriter.writeNamespace(prefix, namespaceURI);
					xmlWriter.setPrefix(prefix, namespaceURI);
				}

				if (prefix.trim().length() > 0) {
					xmlWriter.writeCharacters(prefix
							+ ":"
							+ org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				} else {
					// i.e this is the default namespace
					xmlWriter
							.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				}

			} else {
				xmlWriter
						.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(qname));
			}
		}

		private void writeQNames(javax.xml.namespace.QName[] qnames,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			if (qnames != null) {
				// we have to store this data until last moment since it is not
				// possible to write any
				// namespace data after writing the charactor data
				StringBuffer stringToWrite = new StringBuffer();
				String namespaceURI = null;
				String prefix = null;

				for (int i = 0; i < qnames.length; i++) {
					if (i > 0) {
						stringToWrite.append(" ");
					}
					namespaceURI = qnames[i].getNamespaceURI();
					if (namespaceURI != null) {
						prefix = xmlWriter.getPrefix(namespaceURI);
						if ((prefix == null) || (prefix.length() == 0)) {
							prefix = generatePrefix(namespaceURI);
							xmlWriter.writeNamespace(prefix, namespaceURI);
							xmlWriter.setPrefix(prefix, namespaceURI);
						}

						if (prefix.trim().length() > 0) {
							stringToWrite
									.append(prefix)
									.append(":")
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						} else {
							stringToWrite
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						}
					} else {
						stringToWrite
								.append(org.apache.axis2.databinding.utils.ConverterUtil
										.convertToString(qnames[i]));
					}
				}
				xmlWriter.writeCharacters(stringToWrite.toString());
			}

		}

		/**
		 * Register a namespace prefix
		 */
		private String registerPrefix(
				javax.xml.stream.XMLStreamWriter xmlWriter,
				String namespace)
				throws javax.xml.stream.XMLStreamException {
			String prefix = xmlWriter.getPrefix(namespace);

			if (prefix == null) {
				prefix = generatePrefix(namespace);

				while (xmlWriter.getNamespaceContext().getNamespaceURI(prefix) != null) {
					prefix = org.apache.axis2.databinding.utils.BeanUtil
							.getUniquePrefix();
				}

				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);
			}

			return prefix;
		}

		/**
		 * databinding method to get an XML representation of this object
		 * 
		 */
		public javax.xml.stream.XMLStreamReader getPullParser(
				javax.xml.namespace.QName qName)
				throws org.apache.axis2.databinding.ADBException {

			java.util.ArrayList elementList = new java.util.ArrayList();
			java.util.ArrayList attribList = new java.util.ArrayList();

			elementList.add(new javax.xml.namespace.QName("", "seqNo"));

			if (localSeqNo != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localSeqNo));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"seqNo cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "fromCity"));

			if (localFromCity != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localFromCity));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"fromCity cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "toCity"));

			if (localToCity != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localToCity));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"toCity cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "journeyType"));

			if (localJourneyType != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localJourneyType));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"journeyType cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "areaType"));

			elementList.add(localAreaType == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localAreaType));

			elementList.add(new javax.xml.namespace.QName("", "trafficTool"));

			elementList.add(localTrafficTool == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localTrafficTool));

			elementList.add(new javax.xml.namespace.QName("", "startDate"));

			if (localStartDate != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localStartDate));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"startDate cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "endDate"));

			if (localEndDate != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localEndDate));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"endDate cannot be null!!");
			}
			if (localExtInfoTracker) {
				if (localExtInfo != null) {
					for (int i = 0; i < localExtInfo.length; i++) {

						if (localExtInfo[i] != null) {
							elementList.add(new javax.xml.namespace.QName("",
									"extInfo"));
							elementList.add(localExtInfo[i]);
						} else {

							elementList.add(new javax.xml.namespace.QName("",
									"extInfo"));
							elementList.add(null);

						}

					}
				} else {

					elementList
							.add(new javax.xml.namespace.QName("", "extInfo"));
					elementList.add(localExtInfo);

				}

			}

			return new org.apache.axis2.databinding.utils.reader.ADBXMLStreamReaderImpl(
					qName, elementList.toArray(), attribList.toArray());

		}

		/**
		 * Factory class that keeps the parse method
		 */
		public static class Factory {

			/**
			 * static method to create the object Precondition: If this object
			 * is an element, the current or next start element starts this
			 * object and any intervening reader events are ignorable If this
			 * object is not an element, it is a complex type and the reader is
			 * at the event just after the outer start element Postcondition: If
			 * this object is an element, the reader is positioned at its end
			 * element If this object is a complex type, the reader is
			 * positioned at the end element of its outer element
			 */
			public static JourneyInfo parse(
					javax.xml.stream.XMLStreamReader reader)
					throws Exception {
				JourneyInfo object = new JourneyInfo();

				int event;
				String nillableValue = null;
				String prefix = "";
				String namespaceuri = "";
				try {

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader
							.getAttributeValue(
									"http://www.w3.org/2001/XMLSchema-instance",
									"type") != null) {
						String fullTypeName = reader
								.getAttributeValue(
										"http://www.w3.org/2001/XMLSchema-instance",
										"type");
						if (fullTypeName != null) {
							String nsPrefix = null;
							if (fullTypeName.indexOf(":") > -1) {
								nsPrefix = fullTypeName.substring(0,
										fullTypeName.indexOf(":"));
							}
							nsPrefix = nsPrefix == null ? "" : nsPrefix;

							String type = fullTypeName
									.substring(fullTypeName.indexOf(":") + 1);

							if (!"JourneyInfo".equals(type)) {
								// find namespace for the prefix
								String nsUri = reader
										.getNamespaceContext().getNamespaceURI(
												nsPrefix);
								return (JourneyInfo) ExtensionMapper
										.getTypeObject(nsUri, type, reader);
							}

						}

					}

					// Note all attributes that were handled. Used to differ
					// normal attributes
					// from anyAttributes.
					java.util.Vector handledAttributes = new java.util.Vector();

					reader.next();

					java.util.ArrayList list9 = new java.util.ArrayList();

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "seqNo")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setSeqNo(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "fromCity")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setFromCity(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "toCity")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setToCity(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "journeyType")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setJourneyType(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "areaType")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setAreaType(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "trafficTool")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setTrafficTool(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "startDate")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setStartDate(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "endDate")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setEndDate(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "extInfo")
									.equals(reader.getName())) {

						// Process the array and step past its final element's
						// end.

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if ("true".equals(nillableValue)
								|| "1".equals(nillableValue)) {
							list9.add(null);
							reader.next();
						} else {
							list9.add(MapString.Factory.parse(reader));
						}
						// loop until we find a start element that is not part
						// of this array
						boolean loopDone9 = false;
						while (!loopDone9) {
							// We should be at the end element, but make sure
							while (!reader.isEndElement())
								reader.next();
							// Step out of this element
							reader.next();
							// Step to next element event.
							while (!reader.isStartElement()
									&& !reader.isEndElement())
								reader.next();
							if (reader.isEndElement()) {
								// two continuous end elements means we are
								// exiting the xml structure
								loopDone9 = true;
							} else {
								if (new javax.xml.namespace.QName("", "extInfo")
										.equals(reader.getName())) {

									nillableValue = reader
											.getAttributeValue(
													"http://www.w3.org/2001/XMLSchema-instance",
													"nil");
									if ("true".equals(nillableValue)
											|| "1".equals(nillableValue)) {
										list9.add(null);
										reader.next();
									} else {
										list9.add(MapString.Factory
												.parse(reader));
									}
								} else {
									loopDone9 = true;
								}
							}
						}
						// call the converter utility to convert and set the
						// array

						object.setExtInfo((MapString[]) org.apache.axis2.databinding.utils.ConverterUtil
								.convertToArray(MapString.class, list9));

					} // End of if for expected property start element

					else {

					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement())
						// A start element we are not expecting indicates a
						// trailing invalid property
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());

				} catch (javax.xml.stream.XMLStreamException e) {
					throw new Exception(e);
				}

				return object;
			}

		}// end of factory class

	}

	public static class CreateBillRequest implements
			org.apache.axis2.databinding.ADBBean {

		public static final javax.xml.namespace.QName MY_QNAME = new javax.xml.namespace.QName(
				"http://www.bee2c.com/CreateBillSrv/", "CreateBillRequest",
				"ns1");

		private static String generatePrefix(
				String namespace) {
			if (namespace.equals("http://www.bee2c.com/CreateBillSrv/")) {
				return "ns1";
			}
			return org.apache.axis2.databinding.utils.BeanUtil
					.getUniquePrefix();
		}

		/**
		 * field for UserName
		 */

		protected String localUserName;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getUserName() {
			return localUserName;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            UserName
		 */
		public void setUserName(String param) {

			this.localUserName = param;

		}

		/**
		 * field for CurrentTime
		 */

		protected String localCurrentTime;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getCurrentTime() {
			return localCurrentTime;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            CurrentTime
		 */
		public void setCurrentTime(String param) {

			this.localCurrentTime = param;

		}

		/**
		 * field for Password
		 */

		protected String localPassword;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getPassword() {
			return localPassword;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            Password
		 */
		public void setPassword(String param) {

			this.localPassword = param;

		}

		/**
		 * field for ErrandBillInfo
		 */

		protected ErrandBillInfo localErrandBillInfo;

		/**
		 * Auto generated getter method
		 * 
		 * @return ErrandBillInfo
		 */
		public ErrandBillInfo getErrandBillInfo() {
			return localErrandBillInfo;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ErrandBillInfo
		 */
		public void setErrandBillInfo(ErrandBillInfo param) {

			this.localErrandBillInfo = param;

		}

		/**
		 * isReaderMTOMAware
		 * 
		 * @return true if the reader supports MTOM
		 */
		public static boolean isReaderMTOMAware(
				javax.xml.stream.XMLStreamReader reader) {
			boolean isReaderMTOMAware = false;

			try {
				isReaderMTOMAware = Boolean.TRUE
						.equals(reader
								.getProperty(org.apache.axiom.om.OMConstants.IS_DATA_HANDLERS_AWARE));
			} catch (IllegalArgumentException e) {
				isReaderMTOMAware = false;
			}
			return isReaderMTOMAware;
		}

		/**
		 * 
		 * @param parentQName
		 * @param factory
		 * @return org.apache.axiom.om.OMElement
		 */
		public org.apache.axiom.om.OMElement getOMElement(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory)
				throws org.apache.axis2.databinding.ADBException {

			org.apache.axiom.om.OMDataSource dataSource = new org.apache.axis2.databinding.ADBDataSource(
					this, MY_QNAME) {

				public void serialize(
						org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
						throws javax.xml.stream.XMLStreamException {
					CreateBillRequest.this.serialize(MY_QNAME, factory,
							xmlWriter);
				}
			};
			return new org.apache.axiom.om.impl.llom.OMSourcedElementImpl(
					MY_QNAME, factory, dataSource);

		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {
			serialize(parentQName, factory, xmlWriter, false);
		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter,
				boolean serializeType)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {

			String prefix = null;
			String namespace = null;

			prefix = parentQName.getPrefix();
			namespace = parentQName.getNamespaceURI();

			if ((namespace != null) && (namespace.trim().length() > 0)) {
				String writerPrefix = xmlWriter.getPrefix(namespace);
				if (writerPrefix != null) {
					xmlWriter.writeStartElement(namespace,
							parentQName.getLocalPart());
				} else {
					if (prefix == null) {
						prefix = generatePrefix(namespace);
					}

					xmlWriter.writeStartElement(prefix,
							parentQName.getLocalPart(), namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);
				}
			} else {
				xmlWriter.writeStartElement(parentQName.getLocalPart());
			}

			if (serializeType) {

				String namespacePrefix = registerPrefix(xmlWriter,
						"http://www.bee2c.com/CreateBillSrv/");
				if ((namespacePrefix != null)
						&& (namespacePrefix.trim().length() > 0)) {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", namespacePrefix + ":CreateBillRequest",
							xmlWriter);
				} else {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", "CreateBillRequest", xmlWriter);
				}

			}

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "userName", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "userName");
				}

			} else {
				xmlWriter.writeStartElement("userName");
			}

			if (localUserName == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"userName cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localUserName);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "currentTime",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "currentTime");
				}

			} else {
				xmlWriter.writeStartElement("currentTime");
			}

			if (localCurrentTime == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"currentTime cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localCurrentTime);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "password", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "password");
				}

			} else {
				xmlWriter.writeStartElement("password");
			}

			if (localPassword == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"password cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localPassword);

			}

			xmlWriter.writeEndElement();

			if (localErrandBillInfo == null) {
				throw new org.apache.axis2.databinding.ADBException(
						"errandBillInfo cannot be null!!");
			}
			localErrandBillInfo.serialize(new javax.xml.namespace.QName("",
					"errandBillInfo"), factory, xmlWriter);

			xmlWriter.writeEndElement();

		}

		/**
		 * Util method to write an attribute with the ns prefix
		 */
		private void writeAttribute(String prefix,
                                    String namespace, String attName,
                                    String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (xmlWriter.getPrefix(namespace) == null) {
				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);

			}

			xmlWriter.writeAttribute(namespace, attName, attValue);

		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeAttribute(String namespace,
                                    String attName, String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attValue);
			}
		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeQNameAttribute(String namespace,
                                         String attName, javax.xml.namespace.QName qname,
                                         javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			String attributeNamespace = qname.getNamespaceURI();
			String attributePrefix = xmlWriter
					.getPrefix(attributeNamespace);
			if (attributePrefix == null) {
				attributePrefix = registerPrefix(xmlWriter, attributeNamespace);
			}
			String attributeValue;
			if (attributePrefix.trim().length() > 0) {
				attributeValue = attributePrefix + ":" + qname.getLocalPart();
			} else {
				attributeValue = qname.getLocalPart();
			}

			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attributeValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attributeValue);
			}
		}

		/**
		 * method to handle Qnames
		 */

		private void writeQName(javax.xml.namespace.QName qname,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			String namespaceURI = qname.getNamespaceURI();
			if (namespaceURI != null) {
				String prefix = xmlWriter.getPrefix(namespaceURI);
				if (prefix == null) {
					prefix = generatePrefix(namespaceURI);
					xmlWriter.writeNamespace(prefix, namespaceURI);
					xmlWriter.setPrefix(prefix, namespaceURI);
				}

				if (prefix.trim().length() > 0) {
					xmlWriter.writeCharacters(prefix
							+ ":"
							+ org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				} else {
					// i.e this is the default namespace
					xmlWriter
							.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				}

			} else {
				xmlWriter
						.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(qname));
			}
		}

		private void writeQNames(javax.xml.namespace.QName[] qnames,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			if (qnames != null) {
				// we have to store this data until last moment since it is not
				// possible to write any
				// namespace data after writing the charactor data
				StringBuffer stringToWrite = new StringBuffer();
				String namespaceURI = null;
				String prefix = null;

				for (int i = 0; i < qnames.length; i++) {
					if (i > 0) {
						stringToWrite.append(" ");
					}
					namespaceURI = qnames[i].getNamespaceURI();
					if (namespaceURI != null) {
						prefix = xmlWriter.getPrefix(namespaceURI);
						if ((prefix == null) || (prefix.length() == 0)) {
							prefix = generatePrefix(namespaceURI);
							xmlWriter.writeNamespace(prefix, namespaceURI);
							xmlWriter.setPrefix(prefix, namespaceURI);
						}

						if (prefix.trim().length() > 0) {
							stringToWrite
									.append(prefix)
									.append(":")
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						} else {
							stringToWrite
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						}
					} else {
						stringToWrite
								.append(org.apache.axis2.databinding.utils.ConverterUtil
										.convertToString(qnames[i]));
					}
				}
				xmlWriter.writeCharacters(stringToWrite.toString());
			}

		}

		/**
		 * Register a namespace prefix
		 */
		private String registerPrefix(
				javax.xml.stream.XMLStreamWriter xmlWriter,
				String namespace)
				throws javax.xml.stream.XMLStreamException {
			String prefix = xmlWriter.getPrefix(namespace);

			if (prefix == null) {
				prefix = generatePrefix(namespace);

				while (xmlWriter.getNamespaceContext().getNamespaceURI(prefix) != null) {
					prefix = org.apache.axis2.databinding.utils.BeanUtil
							.getUniquePrefix();
				}

				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);
			}

			return prefix;
		}

		/**
		 * databinding method to get an XML representation of this object
		 * 
		 */
		public javax.xml.stream.XMLStreamReader getPullParser(
				javax.xml.namespace.QName qName)
				throws org.apache.axis2.databinding.ADBException {

			java.util.ArrayList elementList = new java.util.ArrayList();
			java.util.ArrayList attribList = new java.util.ArrayList();

			elementList.add(new javax.xml.namespace.QName("", "userName"));

			if (localUserName != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localUserName));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"userName cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "currentTime"));

			if (localCurrentTime != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localCurrentTime));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"currentTime cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "password"));

			if (localPassword != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localPassword));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"password cannot be null!!");
			}

			elementList
					.add(new javax.xml.namespace.QName("", "errandBillInfo"));

			if (localErrandBillInfo == null) {
				throw new org.apache.axis2.databinding.ADBException(
						"errandBillInfo cannot be null!!");
			}
			elementList.add(localErrandBillInfo);

			return new org.apache.axis2.databinding.utils.reader.ADBXMLStreamReaderImpl(
					qName, elementList.toArray(), attribList.toArray());

		}

		/**
		 * Factory class that keeps the parse method
		 */
		public static class Factory {

			/**
			 * static method to create the object Precondition: If this object
			 * is an element, the current or next start element starts this
			 * object and any intervening reader events are ignorable If this
			 * object is not an element, it is a complex type and the reader is
			 * at the event just after the outer start element Postcondition: If
			 * this object is an element, the reader is positioned at its end
			 * element If this object is a complex type, the reader is
			 * positioned at the end element of its outer element
			 */
			public static CreateBillRequest parse(
					javax.xml.stream.XMLStreamReader reader)
					throws Exception {
				CreateBillRequest object = new CreateBillRequest();

				int event;
				String nillableValue = null;
				String prefix = "";
				String namespaceuri = "";
				try {

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader
							.getAttributeValue(
									"http://www.w3.org/2001/XMLSchema-instance",
									"type") != null) {
						String fullTypeName = reader
								.getAttributeValue(
										"http://www.w3.org/2001/XMLSchema-instance",
										"type");
						if (fullTypeName != null) {
							String nsPrefix = null;
							if (fullTypeName.indexOf(":") > -1) {
								nsPrefix = fullTypeName.substring(0,
										fullTypeName.indexOf(":"));
							}
							nsPrefix = nsPrefix == null ? "" : nsPrefix;

							String type = fullTypeName
									.substring(fullTypeName.indexOf(":") + 1);

							if (!"CreateBillRequest".equals(type)) {
								// find namespace for the prefix
								String nsUri = reader
										.getNamespaceContext().getNamespaceURI(
												nsPrefix);
								return (CreateBillRequest) ExtensionMapper
										.getTypeObject(nsUri, type, reader);
							}

						}

					}

					// Note all attributes that were handled. Used to differ
					// normal attributes
					// from anyAttributes.
					java.util.Vector handledAttributes = new java.util.Vector();

					reader.next();

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "userName")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setUserName(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "currentTime")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setCurrentTime(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "password")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setPassword(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("",
									"errandBillInfo").equals(reader.getName())) {

						object.setErrandBillInfo(ErrandBillInfo.Factory
								.parse(reader));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement())
						// A start element we are not expecting indicates a
						// trailing invalid property
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());

				} catch (javax.xml.stream.XMLStreamException e) {
					throw new Exception(e);
				}

				return object;
			}

		}// end of factory class

	}

	public static class CreateBillResponse implements
			org.apache.axis2.databinding.ADBBean {

		public static final javax.xml.namespace.QName MY_QNAME = new javax.xml.namespace.QName(
				"http://www.bee2c.com/CreateBillSrv/", "CreateBillResponse",
				"ns1");

		private static String generatePrefix(
				String namespace) {
			if (namespace.equals("http://www.bee2c.com/CreateBillSrv/")) {
				return "ns1";
			}
			return org.apache.axis2.databinding.utils.BeanUtil
					.getUniquePrefix();
		}

		/**
		 * field for ReturnCode
		 */

		protected String localReturnCode;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getReturnCode() {
			return localReturnCode;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ReturnCode
		 */
		public void setReturnCode(String param) {

			this.localReturnCode = param;

		}

		/**
		 * field for ErrorMessage
		 */

		protected String localErrorMessage;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getErrorMessage() {
			return localErrorMessage;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ErrorMessage
		 */
		public void setErrorMessage(String param) {

			this.localErrorMessage = param;

		}

		/**
		 * field for ReturnPassword
		 */

		protected String localReturnPassword;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getReturnPassword() {
			return localReturnPassword;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ReturnPassword
		 */
		public void setReturnPassword(String param) {

			this.localReturnPassword = param;

		}

		/**
		 * field for ErrandBillNum
		 */

		protected String localErrandBillNum;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getErrandBillNum() {
			return localErrandBillNum;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ErrandBillNum
		 */
		public void setErrandBillNum(String param) {

			this.localErrandBillNum = param;

		}

		/**
		 * field for ExtInfo This was an Array!
		 */

		protected MapString[] localExtInfo;

		/*
		 * This tracker boolean wil be used to detect whether the user called
		 * the set method for this attribute. It will be used to determine
		 * whether to include this field in the serialized XML
		 */
		protected boolean localExtInfoTracker = false;

		/**
		 * Auto generated getter method
		 * 
		 * @return MapString[]
		 */
		public MapString[] getExtInfo() {
			return localExtInfo;
		}

		/**
		 * validate the array for ExtInfo
		 */
		protected void validateExtInfo(MapString[] param) {

		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ExtInfo
		 */
		public void setExtInfo(MapString[] param) {

			validateExtInfo(param);

			if (param != null) {
				// update the setting tracker
				localExtInfoTracker = true;
			} else {
				localExtInfoTracker = false;

			}

			this.localExtInfo = param;
		}

		/**
		 * Auto generated add method for the array for convenience
		 * 
		 * @param param
		 *            MapString
		 */
		public void addExtInfo(MapString param) {
			if (localExtInfo == null) {
				localExtInfo = new MapString[] {};
			}

			// update the setting tracker
			localExtInfoTracker = true;

			java.util.List list = org.apache.axis2.databinding.utils.ConverterUtil
					.toList(localExtInfo);
			list.add(param);
			this.localExtInfo = (MapString[]) list.toArray(new MapString[list
					.size()]);

		}

		/**
		 * isReaderMTOMAware
		 * 
		 * @return true if the reader supports MTOM
		 */
		public static boolean isReaderMTOMAware(
				javax.xml.stream.XMLStreamReader reader) {
			boolean isReaderMTOMAware = false;

			try {
				isReaderMTOMAware = Boolean.TRUE
						.equals(reader
								.getProperty(org.apache.axiom.om.OMConstants.IS_DATA_HANDLERS_AWARE));
			} catch (IllegalArgumentException e) {
				isReaderMTOMAware = false;
			}
			return isReaderMTOMAware;
		}

		/**
		 * 
		 * @param parentQName
		 * @param factory
		 * @return org.apache.axiom.om.OMElement
		 */
		public org.apache.axiom.om.OMElement getOMElement(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory)
				throws org.apache.axis2.databinding.ADBException {

			org.apache.axiom.om.OMDataSource dataSource = new org.apache.axis2.databinding.ADBDataSource(
					this, MY_QNAME) {

				public void serialize(
						org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
						throws javax.xml.stream.XMLStreamException {
					CreateBillResponse.this.serialize(MY_QNAME, factory,
							xmlWriter);
				}
			};
			return new org.apache.axiom.om.impl.llom.OMSourcedElementImpl(
					MY_QNAME, factory, dataSource);

		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {
			serialize(parentQName, factory, xmlWriter, false);
		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter,
				boolean serializeType)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {

			String prefix = null;
			String namespace = null;

			prefix = parentQName.getPrefix();
			namespace = parentQName.getNamespaceURI();

			if ((namespace != null) && (namespace.trim().length() > 0)) {
				String writerPrefix = xmlWriter.getPrefix(namespace);
				if (writerPrefix != null) {
					xmlWriter.writeStartElement(namespace,
							parentQName.getLocalPart());
				} else {
					if (prefix == null) {
						prefix = generatePrefix(namespace);
					}

					xmlWriter.writeStartElement(prefix,
							parentQName.getLocalPart(), namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);
				}
			} else {
				xmlWriter.writeStartElement(parentQName.getLocalPart());
			}

			if (serializeType) {

				String namespacePrefix = registerPrefix(xmlWriter,
						"http://www.bee2c.com/CreateBillSrv/");
				if ((namespacePrefix != null)
						&& (namespacePrefix.trim().length() > 0)) {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", namespacePrefix + ":CreateBillResponse",
							xmlWriter);
				} else {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", "CreateBillResponse", xmlWriter);
				}

			}

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter
							.writeStartElement(prefix, "returnCode", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "returnCode");
				}

			} else {
				xmlWriter.writeStartElement("returnCode");
			}

			if (localReturnCode == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"returnCode cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localReturnCode);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "errorMessage",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "errorMessage");
				}

			} else {
				xmlWriter.writeStartElement("errorMessage");
			}

			if (localErrorMessage == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localErrorMessage);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "returnPassword",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "returnPassword");
				}

			} else {
				xmlWriter.writeStartElement("returnPassword");
			}

			if (localReturnPassword == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"returnPassword cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localReturnPassword);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "errandBillNum",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "errandBillNum");
				}

			} else {
				xmlWriter.writeStartElement("errandBillNum");
			}

			if (localErrandBillNum == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localErrandBillNum);

			}

			xmlWriter.writeEndElement();
			if (localExtInfoTracker) {
				if (localExtInfo != null) {
					for (int i = 0; i < localExtInfo.length; i++) {
						if (localExtInfo[i] != null) {
							localExtInfo[i]
									.serialize(new javax.xml.namespace.QName(
											"", "extInfo"), factory, xmlWriter);
						} else {

							// we don't have to do any thing since minOccures is
							// zero

						}

					}
				} else {

					throw new org.apache.axis2.databinding.ADBException(
							"extInfo cannot be null!!");

				}
			}
			xmlWriter.writeEndElement();

		}

		/**
		 * Util method to write an attribute with the ns prefix
		 */
		private void writeAttribute(String prefix,
                                    String namespace, String attName,
                                    String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (xmlWriter.getPrefix(namespace) == null) {
				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);

			}

			xmlWriter.writeAttribute(namespace, attName, attValue);

		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeAttribute(String namespace,
                                    String attName, String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attValue);
			}
		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeQNameAttribute(String namespace,
                                         String attName, javax.xml.namespace.QName qname,
                                         javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			String attributeNamespace = qname.getNamespaceURI();
			String attributePrefix = xmlWriter
					.getPrefix(attributeNamespace);
			if (attributePrefix == null) {
				attributePrefix = registerPrefix(xmlWriter, attributeNamespace);
			}
			String attributeValue;
			if (attributePrefix.trim().length() > 0) {
				attributeValue = attributePrefix + ":" + qname.getLocalPart();
			} else {
				attributeValue = qname.getLocalPart();
			}

			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attributeValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attributeValue);
			}
		}

		/**
		 * method to handle Qnames
		 */

		private void writeQName(javax.xml.namespace.QName qname,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			String namespaceURI = qname.getNamespaceURI();
			if (namespaceURI != null) {
				String prefix = xmlWriter.getPrefix(namespaceURI);
				if (prefix == null) {
					prefix = generatePrefix(namespaceURI);
					xmlWriter.writeNamespace(prefix, namespaceURI);
					xmlWriter.setPrefix(prefix, namespaceURI);
				}

				if (prefix.trim().length() > 0) {
					xmlWriter.writeCharacters(prefix
							+ ":"
							+ org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				} else {
					// i.e this is the default namespace
					xmlWriter
							.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				}

			} else {
				xmlWriter
						.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(qname));
			}
		}

		private void writeQNames(javax.xml.namespace.QName[] qnames,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			if (qnames != null) {
				// we have to store this data until last moment since it is not
				// possible to write any
				// namespace data after writing the charactor data
				StringBuffer stringToWrite = new StringBuffer();
				String namespaceURI = null;
				String prefix = null;

				for (int i = 0; i < qnames.length; i++) {
					if (i > 0) {
						stringToWrite.append(" ");
					}
					namespaceURI = qnames[i].getNamespaceURI();
					if (namespaceURI != null) {
						prefix = xmlWriter.getPrefix(namespaceURI);
						if ((prefix == null) || (prefix.length() == 0)) {
							prefix = generatePrefix(namespaceURI);
							xmlWriter.writeNamespace(prefix, namespaceURI);
							xmlWriter.setPrefix(prefix, namespaceURI);
						}

						if (prefix.trim().length() > 0) {
							stringToWrite
									.append(prefix)
									.append(":")
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						} else {
							stringToWrite
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						}
					} else {
						stringToWrite
								.append(org.apache.axis2.databinding.utils.ConverterUtil
										.convertToString(qnames[i]));
					}
				}
				xmlWriter.writeCharacters(stringToWrite.toString());
			}

		}

		/**
		 * Register a namespace prefix
		 */
		private String registerPrefix(
				javax.xml.stream.XMLStreamWriter xmlWriter,
				String namespace)
				throws javax.xml.stream.XMLStreamException {
			String prefix = xmlWriter.getPrefix(namespace);

			if (prefix == null) {
				prefix = generatePrefix(namespace);

				while (xmlWriter.getNamespaceContext().getNamespaceURI(prefix) != null) {
					prefix = org.apache.axis2.databinding.utils.BeanUtil
							.getUniquePrefix();
				}

				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);
			}

			return prefix;
		}

		/**
		 * databinding method to get an XML representation of this object
		 * 
		 */
		public javax.xml.stream.XMLStreamReader getPullParser(
				javax.xml.namespace.QName qName)
				throws org.apache.axis2.databinding.ADBException {

			java.util.ArrayList elementList = new java.util.ArrayList();
			java.util.ArrayList attribList = new java.util.ArrayList();

			elementList.add(new javax.xml.namespace.QName("", "returnCode"));

			if (localReturnCode != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localReturnCode));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"returnCode cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "errorMessage"));

			elementList.add(localErrorMessage == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localErrorMessage));

			elementList
					.add(new javax.xml.namespace.QName("", "returnPassword"));

			if (localReturnPassword != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localReturnPassword));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"returnPassword cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "errandBillNum"));

			elementList.add(localErrandBillNum == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localErrandBillNum));
			if (localExtInfoTracker) {
				if (localExtInfo != null) {
					for (int i = 0; i < localExtInfo.length; i++) {

						if (localExtInfo[i] != null) {
							elementList.add(new javax.xml.namespace.QName("",
									"extInfo"));
							elementList.add(localExtInfo[i]);
						} else {

							// nothing to do

						}

					}
				} else {

					throw new org.apache.axis2.databinding.ADBException(
							"extInfo cannot be null!!");

				}

			}

			return new org.apache.axis2.databinding.utils.reader.ADBXMLStreamReaderImpl(
					qName, elementList.toArray(), attribList.toArray());

		}

		/**
		 * Factory class that keeps the parse method
		 */
		public static class Factory {

			/**
			 * static method to create the object Precondition: If this object
			 * is an element, the current or next start element starts this
			 * object and any intervening reader events are ignorable If this
			 * object is not an element, it is a complex type and the reader is
			 * at the event just after the outer start element Postcondition: If
			 * this object is an element, the reader is positioned at its end
			 * element If this object is a complex type, the reader is
			 * positioned at the end element of its outer element
			 */
			public static CreateBillResponse parse(
					javax.xml.stream.XMLStreamReader reader)
					throws Exception {
				CreateBillResponse object = new CreateBillResponse();

				int event;
				String nillableValue = null;
				String prefix = "";
				String namespaceuri = "";
				try {

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader
							.getAttributeValue(
									"http://www.w3.org/2001/XMLSchema-instance",
									"type") != null) {
						String fullTypeName = reader
								.getAttributeValue(
										"http://www.w3.org/2001/XMLSchema-instance",
										"type");
						if (fullTypeName != null) {
							String nsPrefix = null;
							if (fullTypeName.indexOf(":") > -1) {
								nsPrefix = fullTypeName.substring(0,
										fullTypeName.indexOf(":"));
							}
							nsPrefix = nsPrefix == null ? "" : nsPrefix;

							String type = fullTypeName
									.substring(fullTypeName.indexOf(":") + 1);

							if (!"CreateBillResponse".equals(type)) {
								// find namespace for the prefix
								String nsUri = reader
										.getNamespaceContext().getNamespaceURI(
												nsPrefix);
								return (CreateBillResponse) ExtensionMapper
										.getTypeObject(nsUri, type, reader);
							}

						}

					}

					// Note all attributes that were handled. Used to differ
					// normal attributes
					// from anyAttributes.
					java.util.Vector handledAttributes = new java.util.Vector();

					reader.next();

					java.util.ArrayList list5 = new java.util.ArrayList();

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "returnCode")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setReturnCode(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "errorMessage")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setErrorMessage(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("",
									"returnPassword").equals(reader.getName())) {

						String content = reader.getElementText();

						object.setReturnPassword(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("",
									"errandBillNum").equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setErrandBillNum(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "extInfo")
									.equals(reader.getName())) {

						// Process the array and step past its final element's
						// end.
						list5.add(MapString.Factory.parse(reader));

						// loop until we find a start element that is not part
						// of this array
						boolean loopDone5 = false;
						while (!loopDone5) {
							// We should be at the end element, but make sure
							while (!reader.isEndElement())
								reader.next();
							// Step out of this element
							reader.next();
							// Step to next element event.
							while (!reader.isStartElement()
									&& !reader.isEndElement())
								reader.next();
							if (reader.isEndElement()) {
								// two continuous end elements means we are
								// exiting the xml structure
								loopDone5 = true;
							} else {
								if (new javax.xml.namespace.QName("", "extInfo")
										.equals(reader.getName())) {
									list5.add(MapString.Factory.parse(reader));

								} else {
									loopDone5 = true;
								}
							}
						}
						// call the converter utility to convert and set the
						// array

						object.setExtInfo((MapString[]) org.apache.axis2.databinding.utils.ConverterUtil
								.convertToArray(MapString.class, list5));

					} // End of if for expected property start element

					else {

					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement())
						// A start element we are not expecting indicates a
						// trailing invalid property
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());

				} catch (javax.xml.stream.XMLStreamException e) {
					throw new Exception(e);
				}

				return object;
			}

		}// end of factory class

	}

	public static class CompanionInfo implements
			org.apache.axis2.databinding.ADBBean {
		/*
		 * This type was generated from the piece of schema that had name =
		 * CompanionInfo Namespace URI = http://www.bee2c.com/CreateBillSrv/
		 * Namespace Prefix = ns1
		 */

		private static String generatePrefix(
				String namespace) {
			if (namespace.equals("http://www.bee2c.com/CreateBillSrv/")) {
				return "ns1";
			}
			return org.apache.axis2.databinding.utils.BeanUtil
					.getUniquePrefix();
		}

		/**
		 * field for PersonnelType
		 */

		protected String localPersonnelType;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getPersonnelType() {
			return localPersonnelType;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            PersonnelType
		 */
		public void setPersonnelType(String param) {

			this.localPersonnelType = param;

		}

		/**
		 * field for EmpNum
		 */

		protected String localEmpNum;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getEmpNum() {
			return localEmpNum;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            EmpNum
		 */
		public void setEmpNum(String param) {

			this.localEmpNum = param;

		}

		/**
		 * field for PersonnelName
		 */

		protected String localPersonnelName;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getPersonnelName() {
			return localPersonnelName;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            PersonnelName
		 */
		public void setPersonnelName(String param) {

			this.localPersonnelName = param;

		}

		/**
		 * field for PassName
		 */

		protected String localPassName;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getPassName() {
			return localPassName;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            PassName
		 */
		public void setPassName(String param) {

			this.localPassName = param;

		}

		/**
		 * field for PassType
		 */

		protected String localPassType;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getPassType() {
			return localPassType;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            PassType
		 */
		public void setPassType(String param) {

			this.localPassType = param;

		}

		/**
		 * field for PassNum
		 */

		protected String localPassNum;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getPassNum() {
			return localPassNum;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            PassNum
		 */
		public void setPassNum(String param) {

			this.localPassNum = param;

		}

		/**
		 * field for MobilePhone
		 */

		protected String localMobilePhone;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getMobilePhone() {
			return localMobilePhone;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            MobilePhone
		 */
		public void setMobilePhone(String param) {

			this.localMobilePhone = param;

		}

		/**
		 * field for Email
		 */

		protected String localEmail;

		/**
		 * Auto generated getter method
		 * 
		 * @return java.lang.String
		 */
		public String getEmail() {
			return localEmail;
		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            Email
		 */
		public void setEmail(String param) {

			this.localEmail = param;

		}

		/**
		 * field for ExtInfo This was an Array!
		 */

		protected MapString[] localExtInfo;

		/*
		 * This tracker boolean wil be used to detect whether the user called
		 * the set method for this attribute. It will be used to determine
		 * whether to include this field in the serialized XML
		 */
		protected boolean localExtInfoTracker = false;

		/**
		 * Auto generated getter method
		 * 
		 * @return MapString[]
		 */
		public MapString[] getExtInfo() {
			return localExtInfo;
		}

		/**
		 * validate the array for ExtInfo
		 */
		protected void validateExtInfo(MapString[] param) {

		}

		/**
		 * Auto generated setter method
		 * 
		 * @param param
		 *            ExtInfo
		 */
		public void setExtInfo(MapString[] param) {

			validateExtInfo(param);

			if (param != null) {
				// update the setting tracker
				localExtInfoTracker = true;
			} else {
				localExtInfoTracker = true;

			}

			this.localExtInfo = param;
		}

		/**
		 * Auto generated add method for the array for convenience
		 * 
		 * @param param
		 *            MapString
		 */
		public void addExtInfo(MapString param) {
			if (localExtInfo == null) {
				localExtInfo = new MapString[] {};
			}

			// update the setting tracker
			localExtInfoTracker = true;

			java.util.List list = org.apache.axis2.databinding.utils.ConverterUtil
					.toList(localExtInfo);
			list.add(param);
			this.localExtInfo = (MapString[]) list.toArray(new MapString[list
					.size()]);

		}

		/**
		 * isReaderMTOMAware
		 * 
		 * @return true if the reader supports MTOM
		 */
		public static boolean isReaderMTOMAware(
				javax.xml.stream.XMLStreamReader reader) {
			boolean isReaderMTOMAware = false;

			try {
				isReaderMTOMAware = Boolean.TRUE
						.equals(reader
								.getProperty(org.apache.axiom.om.OMConstants.IS_DATA_HANDLERS_AWARE));
			} catch (IllegalArgumentException e) {
				isReaderMTOMAware = false;
			}
			return isReaderMTOMAware;
		}

		/**
		 * 
		 * @param parentQName
		 * @param factory
		 * @return org.apache.axiom.om.OMElement
		 */
		public org.apache.axiom.om.OMElement getOMElement(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory)
				throws org.apache.axis2.databinding.ADBException {

			org.apache.axiom.om.OMDataSource dataSource = new org.apache.axis2.databinding.ADBDataSource(
					this, parentQName) {

				public void serialize(
						org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
						throws javax.xml.stream.XMLStreamException {
					CompanionInfo.this.serialize(parentQName, factory,
							xmlWriter);
				}
			};
			return new org.apache.axiom.om.impl.llom.OMSourcedElementImpl(
					parentQName, factory, dataSource);

		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {
			serialize(parentQName, factory, xmlWriter, false);
		}

		public void serialize(
				final javax.xml.namespace.QName parentQName,
				final org.apache.axiom.om.OMFactory factory,
				org.apache.axis2.databinding.utils.writer.MTOMAwareXMLStreamWriter xmlWriter,
				boolean serializeType)
				throws javax.xml.stream.XMLStreamException,
				org.apache.axis2.databinding.ADBException {

			String prefix = null;
			String namespace = null;

			prefix = parentQName.getPrefix();
			namespace = parentQName.getNamespaceURI();

			if ((namespace != null) && (namespace.trim().length() > 0)) {
				String writerPrefix = xmlWriter.getPrefix(namespace);
				if (writerPrefix != null) {
					xmlWriter.writeStartElement(namespace,
							parentQName.getLocalPart());
				} else {
					if (prefix == null) {
						prefix = generatePrefix(namespace);
					}

					xmlWriter.writeStartElement(prefix,
							parentQName.getLocalPart(), namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);
				}
			} else {
				xmlWriter.writeStartElement(parentQName.getLocalPart());
			}

			if (serializeType) {

				String namespacePrefix = registerPrefix(xmlWriter,
						"http://www.bee2c.com/CreateBillSrv/");
				if ((namespacePrefix != null)
						&& (namespacePrefix.trim().length() > 0)) {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", namespacePrefix + ":CompanionInfo",
							xmlWriter);
				} else {
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance",
							"type", "CompanionInfo", xmlWriter);
				}

			}

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "personnelType",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "personnelType");
				}

			} else {
				xmlWriter.writeStartElement("personnelType");
			}

			if (localPersonnelType == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"personnelType cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localPersonnelType);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "empNum", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "empNum");
				}

			} else {
				xmlWriter.writeStartElement("empNum");
			}

			if (localEmpNum == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"empNum cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localEmpNum);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "personnelName",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "personnelName");
				}

			} else {
				xmlWriter.writeStartElement("personnelName");
			}

			if (localPersonnelName == null) {
				// write the nil attribute

				throw new org.apache.axis2.databinding.ADBException(
						"personnelName cannot be null!!");

			} else {

				xmlWriter.writeCharacters(localPersonnelName);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "passName", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "passName");
				}

			} else {
				xmlWriter.writeStartElement("passName");
			}

			if (localPassName == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localPassName);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "passType", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "passType");
				}

			} else {
				xmlWriter.writeStartElement("passType");
			}

			if (localPassType == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localPassType);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "passNum", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "passNum");
				}

			} else {
				xmlWriter.writeStartElement("passNum");
			}

			if (localPassNum == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localPassNum);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "mobilePhone",
							namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "mobilePhone");
				}

			} else {
				xmlWriter.writeStartElement("mobilePhone");
			}

			if (localMobilePhone == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localMobilePhone);

			}

			xmlWriter.writeEndElement();

			namespace = "";
			if (!namespace.equals("")) {
				prefix = xmlWriter.getPrefix(namespace);

				if (prefix == null) {
					prefix = generatePrefix(namespace);

					xmlWriter.writeStartElement(prefix, "email", namespace);
					xmlWriter.writeNamespace(prefix, namespace);
					xmlWriter.setPrefix(prefix, namespace);

				} else {
					xmlWriter.writeStartElement(namespace, "email");
				}

			} else {
				xmlWriter.writeStartElement("email");
			}

			if (localEmail == null) {
				// write the nil attribute

				writeAttribute("xsi",
						"http://www.w3.org/2001/XMLSchema-instance", "nil",
						"1", xmlWriter);

			} else {

				xmlWriter.writeCharacters(localEmail);

			}

			xmlWriter.writeEndElement();
			if (localExtInfoTracker) {
				if (localExtInfo != null) {
					for (int i = 0; i < localExtInfo.length; i++) {
						if (localExtInfo[i] != null) {
							localExtInfo[i]
									.serialize(new javax.xml.namespace.QName(
											"", "extInfo"), factory, xmlWriter);
						} else {

							// write null attribute
							String namespace2 = "";
							if (!namespace2.equals("")) {
								String prefix2 = xmlWriter
										.getPrefix(namespace2);

								if (prefix2 == null) {
									prefix2 = generatePrefix(namespace2);

									xmlWriter.writeStartElement(prefix2,
											"extInfo", namespace2);
									xmlWriter.writeNamespace(prefix2,
											namespace2);
									xmlWriter.setPrefix(prefix2, namespace2);

								} else {
									xmlWriter.writeStartElement(namespace2,
											"extInfo");
								}

							} else {
								xmlWriter.writeStartElement("extInfo");
							}

							// write the nil attribute
							writeAttribute(
									"xsi",
									"http://www.w3.org/2001/XMLSchema-instance",
									"nil", "1", xmlWriter);
							xmlWriter.writeEndElement();

						}

					}
				} else {

					// write null attribute
					String namespace2 = "";
					if (!namespace2.equals("")) {
						String prefix2 = xmlWriter
								.getPrefix(namespace2);

						if (prefix2 == null) {
							prefix2 = generatePrefix(namespace2);

							xmlWriter.writeStartElement(prefix2, "extInfo",
									namespace2);
							xmlWriter.writeNamespace(prefix2, namespace2);
							xmlWriter.setPrefix(prefix2, namespace2);

						} else {
							xmlWriter.writeStartElement(namespace2, "extInfo");
						}

					} else {
						xmlWriter.writeStartElement("extInfo");
					}

					// write the nil attribute
					writeAttribute("xsi",
							"http://www.w3.org/2001/XMLSchema-instance", "nil",
							"1", xmlWriter);
					xmlWriter.writeEndElement();

				}
			}
			xmlWriter.writeEndElement();

		}

		/**
		 * Util method to write an attribute with the ns prefix
		 */
		private void writeAttribute(String prefix,
                                    String namespace, String attName,
                                    String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (xmlWriter.getPrefix(namespace) == null) {
				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);

			}

			xmlWriter.writeAttribute(namespace, attName, attValue);

		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeAttribute(String namespace,
                                    String attName, String attValue,
                                    javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attValue);
			}
		}

		/**
		 * Util method to write an attribute without the ns prefix
		 */
		private void writeQNameAttribute(String namespace,
                                         String attName, javax.xml.namespace.QName qname,
                                         javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			String attributeNamespace = qname.getNamespaceURI();
			String attributePrefix = xmlWriter
					.getPrefix(attributeNamespace);
			if (attributePrefix == null) {
				attributePrefix = registerPrefix(xmlWriter, attributeNamespace);
			}
			String attributeValue;
			if (attributePrefix.trim().length() > 0) {
				attributeValue = attributePrefix + ":" + qname.getLocalPart();
			} else {
				attributeValue = qname.getLocalPart();
			}

			if (namespace.equals("")) {
				xmlWriter.writeAttribute(attName, attributeValue);
			} else {
				registerPrefix(xmlWriter, namespace);
				xmlWriter.writeAttribute(namespace, attName, attributeValue);
			}
		}

		/**
		 * method to handle Qnames
		 */

		private void writeQName(javax.xml.namespace.QName qname,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {
			String namespaceURI = qname.getNamespaceURI();
			if (namespaceURI != null) {
				String prefix = xmlWriter.getPrefix(namespaceURI);
				if (prefix == null) {
					prefix = generatePrefix(namespaceURI);
					xmlWriter.writeNamespace(prefix, namespaceURI);
					xmlWriter.setPrefix(prefix, namespaceURI);
				}

				if (prefix.trim().length() > 0) {
					xmlWriter.writeCharacters(prefix
							+ ":"
							+ org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				} else {
					// i.e this is the default namespace
					xmlWriter
							.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(qname));
				}

			} else {
				xmlWriter
						.writeCharacters(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(qname));
			}
		}

		private void writeQNames(javax.xml.namespace.QName[] qnames,
				javax.xml.stream.XMLStreamWriter xmlWriter)
				throws javax.xml.stream.XMLStreamException {

			if (qnames != null) {
				// we have to store this data until last moment since it is not
				// possible to write any
				// namespace data after writing the charactor data
				StringBuffer stringToWrite = new StringBuffer();
				String namespaceURI = null;
				String prefix = null;

				for (int i = 0; i < qnames.length; i++) {
					if (i > 0) {
						stringToWrite.append(" ");
					}
					namespaceURI = qnames[i].getNamespaceURI();
					if (namespaceURI != null) {
						prefix = xmlWriter.getPrefix(namespaceURI);
						if ((prefix == null) || (prefix.length() == 0)) {
							prefix = generatePrefix(namespaceURI);
							xmlWriter.writeNamespace(prefix, namespaceURI);
							xmlWriter.setPrefix(prefix, namespaceURI);
						}

						if (prefix.trim().length() > 0) {
							stringToWrite
									.append(prefix)
									.append(":")
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						} else {
							stringToWrite
									.append(org.apache.axis2.databinding.utils.ConverterUtil
											.convertToString(qnames[i]));
						}
					} else {
						stringToWrite
								.append(org.apache.axis2.databinding.utils.ConverterUtil
										.convertToString(qnames[i]));
					}
				}
				xmlWriter.writeCharacters(stringToWrite.toString());
			}

		}

		/**
		 * Register a namespace prefix
		 */
		private String registerPrefix(
				javax.xml.stream.XMLStreamWriter xmlWriter,
				String namespace)
				throws javax.xml.stream.XMLStreamException {
			String prefix = xmlWriter.getPrefix(namespace);

			if (prefix == null) {
				prefix = generatePrefix(namespace);

				while (xmlWriter.getNamespaceContext().getNamespaceURI(prefix) != null) {
					prefix = org.apache.axis2.databinding.utils.BeanUtil
							.getUniquePrefix();
				}

				xmlWriter.writeNamespace(prefix, namespace);
				xmlWriter.setPrefix(prefix, namespace);
			}

			return prefix;
		}

		/**
		 * databinding method to get an XML representation of this object
		 * 
		 */
		public javax.xml.stream.XMLStreamReader getPullParser(
				javax.xml.namespace.QName qName)
				throws org.apache.axis2.databinding.ADBException {

			java.util.ArrayList elementList = new java.util.ArrayList();
			java.util.ArrayList attribList = new java.util.ArrayList();

			elementList.add(new javax.xml.namespace.QName("", "personnelType"));

			if (localPersonnelType != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localPersonnelType));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"personnelType cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "empNum"));

			if (localEmpNum != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localEmpNum));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"empNum cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "personnelName"));

			if (localPersonnelName != null) {
				elementList
						.add(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(localPersonnelName));
			} else {
				throw new org.apache.axis2.databinding.ADBException(
						"personnelName cannot be null!!");
			}

			elementList.add(new javax.xml.namespace.QName("", "passName"));

			elementList.add(localPassName == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localPassName));

			elementList.add(new javax.xml.namespace.QName("", "passType"));

			elementList.add(localPassType == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localPassType));

			elementList.add(new javax.xml.namespace.QName("", "passNum"));

			elementList.add(localPassNum == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localPassNum));

			elementList.add(new javax.xml.namespace.QName("", "mobilePhone"));

			elementList.add(localMobilePhone == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localMobilePhone));

			elementList.add(new javax.xml.namespace.QName("", "email"));

			elementList.add(localEmail == null ? null
					: org.apache.axis2.databinding.utils.ConverterUtil
							.convertToString(localEmail));
			if (localExtInfoTracker) {
				if (localExtInfo != null) {
					for (int i = 0; i < localExtInfo.length; i++) {

						if (localExtInfo[i] != null) {
							elementList.add(new javax.xml.namespace.QName("",
									"extInfo"));
							elementList.add(localExtInfo[i]);
						} else {

							elementList.add(new javax.xml.namespace.QName("",
									"extInfo"));
							elementList.add(null);

						}

					}
				} else {

					elementList
							.add(new javax.xml.namespace.QName("", "extInfo"));
					elementList.add(localExtInfo);

				}

			}

			return new org.apache.axis2.databinding.utils.reader.ADBXMLStreamReaderImpl(
					qName, elementList.toArray(), attribList.toArray());

		}

		/**
		 * Factory class that keeps the parse method
		 */
		public static class Factory {

			/**
			 * static method to create the object Precondition: If this object
			 * is an element, the current or next start element starts this
			 * object and any intervening reader events are ignorable If this
			 * object is not an element, it is a complex type and the reader is
			 * at the event just after the outer start element Postcondition: If
			 * this object is an element, the reader is positioned at its end
			 * element If this object is a complex type, the reader is
			 * positioned at the end element of its outer element
			 */
			public static CompanionInfo parse(
					javax.xml.stream.XMLStreamReader reader)
					throws Exception {
				CompanionInfo object = new CompanionInfo();

				int event;
				String nillableValue = null;
				String prefix = "";
				String namespaceuri = "";
				try {

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader
							.getAttributeValue(
									"http://www.w3.org/2001/XMLSchema-instance",
									"type") != null) {
						String fullTypeName = reader
								.getAttributeValue(
										"http://www.w3.org/2001/XMLSchema-instance",
										"type");
						if (fullTypeName != null) {
							String nsPrefix = null;
							if (fullTypeName.indexOf(":") > -1) {
								nsPrefix = fullTypeName.substring(0,
										fullTypeName.indexOf(":"));
							}
							nsPrefix = nsPrefix == null ? "" : nsPrefix;

							String type = fullTypeName
									.substring(fullTypeName.indexOf(":") + 1);

							if (!"CompanionInfo".equals(type)) {
								// find namespace for the prefix
								String nsUri = reader
										.getNamespaceContext().getNamespaceURI(
												nsPrefix);
								return (CompanionInfo) ExtensionMapper
										.getTypeObject(nsUri, type, reader);
							}

						}

					}

					// Note all attributes that were handled. Used to differ
					// normal attributes
					// from anyAttributes.
					java.util.Vector handledAttributes = new java.util.Vector();

					reader.next();

					java.util.ArrayList list9 = new java.util.ArrayList();

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("",
									"personnelType").equals(reader.getName())) {

						String content = reader.getElementText();

						object.setPersonnelType(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "empNum")
									.equals(reader.getName())) {

						String content = reader.getElementText();

						object.setEmpNum(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("",
									"personnelName").equals(reader.getName())) {

						String content = reader.getElementText();

						object.setPersonnelName(org.apache.axis2.databinding.utils.ConverterUtil
								.convertToString(content));

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "passName")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setPassName(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "passType")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setPassType(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "passNum")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setPassNum(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "mobilePhone")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setMobilePhone(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "email")
									.equals(reader.getName())) {

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if (!"true".equals(nillableValue)
								&& !"1".equals(nillableValue)) {

							String content = reader.getElementText();

							object.setEmail(org.apache.axis2.databinding.utils.ConverterUtil
									.convertToString(content));

						} else {

							reader.getElementText(); // throw away text nodes if
														// any.
						}

						reader.next();

					} // End of if for expected property start element

					else {
						// A start element we are not expecting indicates an
						// invalid parameter was passed
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());
					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement()
							&& new javax.xml.namespace.QName("", "extInfo")
									.equals(reader.getName())) {

						// Process the array and step past its final element's
						// end.

						nillableValue = reader.getAttributeValue(
								"http://www.w3.org/2001/XMLSchema-instance",
								"nil");
						if ("true".equals(nillableValue)
								|| "1".equals(nillableValue)) {
							list9.add(null);
							reader.next();
						} else {
							list9.add(MapString.Factory.parse(reader));
						}
						// loop until we find a start element that is not part
						// of this array
						boolean loopDone9 = false;
						while (!loopDone9) {
							// We should be at the end element, but make sure
							while (!reader.isEndElement())
								reader.next();
							// Step out of this element
							reader.next();
							// Step to next element event.
							while (!reader.isStartElement()
									&& !reader.isEndElement())
								reader.next();
							if (reader.isEndElement()) {
								// two continuous end elements means we are
								// exiting the xml structure
								loopDone9 = true;
							} else {
								if (new javax.xml.namespace.QName("", "extInfo")
										.equals(reader.getName())) {

									nillableValue = reader
											.getAttributeValue(
													"http://www.w3.org/2001/XMLSchema-instance",
													"nil");
									if ("true".equals(nillableValue)
											|| "1".equals(nillableValue)) {
										list9.add(null);
										reader.next();
									} else {
										list9.add(MapString.Factory
												.parse(reader));
									}
								} else {
									loopDone9 = true;
								}
							}
						}
						// call the converter utility to convert and set the
						// array

						object.setExtInfo((MapString[]) org.apache.axis2.databinding.utils.ConverterUtil
								.convertToArray(MapString.class, list9));

					} // End of if for expected property start element

					else {

					}

					while (!reader.isStartElement() && !reader.isEndElement())
						reader.next();

					if (reader.isStartElement())
						// A start element we are not expecting indicates a
						// trailing invalid property
						throw new org.apache.axis2.databinding.ADBException(
								"Unexpected subelement "
										+ reader.getLocalName());

				} catch (javax.xml.stream.XMLStreamException e) {
					throw new Exception(e);
				}

				return object;
			}

		}// end of factory class

	}

	private org.apache.axiom.om.OMElement toOM(
			CreateBillRequest param, boolean optimizeContent)
			throws org.apache.axis2.AxisFault {

		try {
			return param.getOMElement(
					CreateBillRequest.MY_QNAME,
					org.apache.axiom.om.OMAbstractFactory.getOMFactory());
		} catch (org.apache.axis2.databinding.ADBException e) {
			throw org.apache.axis2.AxisFault.makeFault(e);
		}

	}

	private org.apache.axiom.om.OMElement toOM(
			CreateBillResponse param, boolean optimizeContent)
			throws org.apache.axis2.AxisFault {

		try {
			return param.getOMElement(
					CreateBillResponse.MY_QNAME,
					org.apache.axiom.om.OMAbstractFactory.getOMFactory());
		} catch (org.apache.axis2.databinding.ADBException e) {
			throw org.apache.axis2.AxisFault.makeFault(e);
		}

	}

	private org.apache.axiom.soap.SOAPEnvelope toEnvelope(
			org.apache.axiom.soap.SOAPFactory factory,
			CreateBillRequest param, boolean optimizeContent)
			throws org.apache.axis2.AxisFault {

		try {

			org.apache.axiom.soap.SOAPEnvelope emptyEnvelope = factory
					.getDefaultEnvelope();
			emptyEnvelope.getBody().addChild(
					param.getOMElement(
							CreateBillRequest.MY_QNAME,
							factory));
			return emptyEnvelope;
		} catch (org.apache.axis2.databinding.ADBException e) {
			throw org.apache.axis2.AxisFault.makeFault(e);
		}

	}

	/* methods to provide back word compatibility */

	/**
	 * get the default envelope
	 */
	private org.apache.axiom.soap.SOAPEnvelope toEnvelope(
			org.apache.axiom.soap.SOAPFactory factory) {
		return factory.getDefaultEnvelope();
	}

	private Object fromOM(org.apache.axiom.om.OMElement param,
			Class type, Map extraNamespaces)
			throws org.apache.axis2.AxisFault {

		try {

			if (CreateBillRequest.class.equals(type)) {

				return CreateBillRequest.Factory.parse(param
						.getXMLStreamReaderWithoutCaching());

			}

			if (CreateBillResponse.class.equals(type)) {

				return CreateBillResponse.Factory.parse(param
						.getXMLStreamReaderWithoutCaching());

			}

		} catch (Exception e) {
			throw org.apache.axis2.AxisFault.makeFault(e);
		}
		return null;
	}

		
}
